<assembly xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" manifestVersion="1.0" description="" displayName="" company="Microsoft Corporation" copyright="" supportInformation="" creationTimeStamp="2003-08-27T17:28:26.8910210-07:00" lastUpdateTimeStamp="2005-06-14T21:48:13.0113221-07:00" authors="diaaf" owners="diaaf" testers="" buildFilter="" xmlns="urn:schemas-microsoft-com:asm.v3">
  <assemblyIdentity name="Microsoft-Windows-Application-Experience-Infrastructure-DL" version="0.0.0.0" processorArchitecture="*" publicKeyToken="$(Build.WindowsPublicKeyToken)" language="neutral"/>

  <migration>
    <migXml xmlns="">

      <!-- Only take and execute on XP ONLY!!! -->
      <detects>
        <detect>
          <condition>MigXmlHelper.DoesOSMatch("NT","5.1.*")</condition>
        </detect>
      </detects>

      <rules context="System">
        <include>
          <objectSet>
            <!-- migrate "Custom SDBs" -->
            <pattern type="File">%windir%\AppPatch\Custom\*[*]</pattern>

            <!-- migrate the following "HKLM AppCompatFlags" registry key(s) -->
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\AppCompatFlags\Custom\*[*]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\AppCompatFlags\InstalledSDB\*[*]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\AppCompatFlags\Layers\*[*]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\AppCompatFlags\NoExecuteState\*[*]</pattern>
          </objectSet>
        </include>
      </rules>

      <rules context="User">
        <include>
          <objectSet>
            <!-- migrate the following "HKCU AppCompatFlags" registry key(s) -->
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Windows NT\CurrentVersion\AppCompatFlags\Layers\*[*]</pattern>
          </objectSet>
        </include>
      </rules>
    </migXml>
  </migration>
</assembly>
