<assembly xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xmlns:xsd="http://www.w3.org/2001/XMLSchema"
          manifestVersion="1.0"
          description=""
          displayName=""
          company="Microsoft Corp"
          copyright="Microsoft"
          supportInformation="rdrcore"
          creationTimeStamp="2004-05-24T17:39:48.5440428-07:00"
          lastUpdateTimeStamp="2005-05-10T17:21:13.088724Z"
          authors="rdrcore"
          owners="rdrcore"
          testers="rdrcore"
          buildFilter=""
          xmlns="urn:schemas-microsoft-com:asm.v3">
  <assemblyIdentity type=""
                    publicKeyToken="$(Build.WindowsPublicKeyToken)"
                    buildType="$(build.buildType)"
                    versionScope="nonSxS"
                    buildFilter=""
                    name="Microsoft-Windows-BrowserService-DL"
                    version="0.0.0.0"
                    processorArchitecture="*"
                    language="neutral" />

  <migration>

    <!-- Begin migration from Vista. This is the build-to-build upgrade or pc-to-pc case.
         Everything else comes from the -DL manifest. -->

    <!-- In-place section. Declarations here will not be migrated pc-to-pc. -->

    <machineSpecific>
      <migXml xmlns="">

        <detects>
          <detect>
            <condition>
              MigXmlHelper.IsOSEarlierThan("NT", "6.0.0")
            </condition>
          </detect>
        </detects>

        <rules context="System">
          <include>
            <objectSet>

              <!-- Migrate Server parameters -->
              <pattern type="Registry">HKLM\System\CurrentControlSet\Services\Browser\Parameters [IsDomainMaster]</pattern>
              <pattern type="Registry">HKLM\System\CurrentControlSet\Services\Browser\Parameters [MaintainServerList]</pattern>
              <pattern type="Registry">HKLM\System\CurrentControlSet\Services\Browser\Parameters [BackupBrowserRecoveryTime]</pattern>
              <pattern type="Registry">HKLM\System\CurrentControlSet\Services\Browser\Parameters [CacheHitLimit]</pattern>
              <pattern type="Registry">HKLM\System\CurrentControlSet\Services\Browser\Parameters [CacheResponseSize]</pattern>
              <pattern type="Registry">HKLM\System\CurrentControlSet\Services\Browser\Parameters [QueryDriverFrequency]</pattern>
              <pattern type="Registry">HKLM\System\CurrentControlSet\Services\Browser\Parameters [DirectHostBinding]</pattern>
              <pattern type="Registry">HKLM\System\CurrentControlSet\Services\Browser\Parameters [UnboundBindings]</pattern>
              <pattern type="Registry">HKLM\System\CurrentControlSet\Services\Browser\Parameters [MasterPeriodicity]</pattern>
              <pattern type="Registry">HKLM\System\CurrentControlSet\Services\Browser\Parameters [BackupPeriodicity]</pattern>
              <pattern type="Registry">HKLM\System\CurrentControlSet\Services\Browser\Parameters [BrowserDebug]</pattern>
              <pattern type="Registry">HKLM\System\CurrentControlSet\Services\Browser\Parameters [BrowserDebugLimit]</pattern>
              <pattern type="Registry">HKLM\System\CurrentControlSet\Services\Browser\Parameters [DisableStopOnPortsClosed]</pattern>
              <pattern type="Registry">HKLM\System\CurrentControlSet\Services\Browser\Parameters [IcfWaitTimeout]</pattern>
              <pattern type="Registry">HKLM\System\CurrentControlSet\Services\Browser\Parameters [BackupPeriodicity]</pattern>
              <pattern type="Registry">HKLM\System\CurrentControlSet\Services\Browser\Parameters [BackupPeriodicity]</pattern>
              <pattern type="Registry">HKLM\System\CurrentControlSet\Services\Browser\Parameters [BackupPeriodicity]</pattern>

            </objectSet>
          </include>

        </rules>
      </migXml>
    </machineSpecific>

    <!-- No pc-to-pc migration. -->

  </migration>
</assembly>
