<?xml version="1.0" encoding="utf-8"?>
<assembly xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" manifestVersion="1.0" company="Microsoft" copyright="" supportInformation="" creationTimeStamp="2005-09-13T14:05:43.4054402-07:00" lastUpdateTimeStamp="2005-09-13T15:41:02.9208750-08:00" authors="noskov" owners="noskov" testers="andyliu" buildFilter="" xmlns="urn:schemas-microsoft-com:asm.v3">

  <assemblyIdentity name="Microsoft-Windows-Credential-Manager-DL" version="0.0.0.0" processorArchitecture="*" language="*"></assemblyIdentity>

  <migration scope="Upgrade,MigWiz,USMT">
    <migXml xmlns="">

      <rules context="User">
        <!-- Only call on 2K, XP .. not pre RTM LH -->
        <detects>
          <detect>
            <condition>
              MigXmlHelper.IsOSEarlierThan("NT","6.0.0.0")
            </condition>
          </detect>
        </detects>

        <include>
          <objectSet>
            <pattern type="File">%CSIDL_APPDATA%\Microsoft\Credentials\%USERSID%\* [*]</pattern>
            <pattern type="File">%CSIDL_LOCAL_APPDATA%\Microsoft\Credentials\%USERSID%\* [*]</pattern>
          </objectSet>
        </include>
      </rules>

      <rules context="System">
        <!-- Only call on 2K, XP .. not pre RTM LH -->
        <detects>
          <detect>
            <condition>
              MigXmlHelper.IsOSEarlierThan("NT","6.0.0.0")
            </condition>
          </detect>
        </detects>
        <include>
          <objectSet>
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Control\Lsa [DisableDomainCreds]</pattern>
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Control\Lsa [DisableCredMan]</pattern>
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Control\Lsa [TargetInfoCacheSize]</pattern>
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Control\Lsa [MaxCredentialsSize]</pattern>
          </objectSet>
        </include>
      </rules>

    </migXml>
    <migrationDisplayID>Security\Security_Options</migrationDisplayID>
  </migration>
</assembly>
