<?xml version="1.0" encoding="utf-8"?>
<assembly xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" manifestVersion="1.0" company="Microsoft" copyright="" supportInformation="" creationTimeStamp="2005-09-13T14:04:43.4054402-07:00" lastUpdateTimeStamp="2005-09-13T15:39:02.9208750-08:00" authors="jeffspel" owners="jeffspel" testers="" buildFilter="" xmlns="urn:schemas-microsoft-com:asm.v3">

  <assemblyIdentity type="" publicKeyToken="$(Build.WindowsPublicKeyToken)" buildType="release" versionScope="nonSxS" buildFilter="" name="Microsoft-Windows-Crypto-keys-DL" version="0.0.0.0" processorArchitecture="*" language="neutral"></assemblyIdentity>

  <migration scope="Upgrade,MigWiz,USMT" xmlns="">
    <migXml xmlns="">
      <!-- Check as this is only valid for down-level OS < than Windows Vista ? -->
      <detects>
        <detect>
          <condition>MigXmlHelper.IsOSEarlierThan("NT","6.0.0.0")</condition>
        </detect>
      </detects>

      <rules context="User">
        <include>
          <objectSet>
            <pattern type="File">%CSIDL_APPDATA%\Microsoft\Crypto\RSA\*[*]</pattern>
            <pattern type="File">%CSIDL_APPDATA%\Microsoft\Crypto\DSS\*[*]</pattern>
          </objectSet>
        </include>

        <merge script="MigXmlHelper.SourcePriority()">
          <objectSet>
            <pattern type="File">%CSIDL_APPDATA%\Microsoft\Crypto\RSA\*[*]</pattern>
            <pattern type="File">%CSIDL_APPDATA%\Microsoft\Crypto\DSS\*[*]</pattern>
          </objectSet>
        </merge>

      </rules>
    </migXml>

    <machineSpecific>
      <migXml xmlns="">
        <!-- Check as this is only valid for down-level OS < than Windows Vista ? -->
        <detects>
          <detect>
            <condition>MigXmlHelper.IsOSEarlierThan("NT","6.0.0.0")</condition>
          </detect>
        </detects>

        <rules context="System">
          <include>
            <objectSet>
              <!-- Pick up user master keys for wellknown service accounts -->
              <pattern type="File">%PROFILESFOLDER%\LocalService\Application Data\Microsoft\Crypto\RSA\*[*]</pattern>
              <pattern type="File">%PROFILESFOLDER%\LocalService\Application Data\Microsoft\Crypto\DSS\*[*]</pattern>
              <pattern type="File">%PROFILESFOLDER%\NetworkService\Application Data\Microsoft\Crypto\RSA\*[*]</pattern>
              <pattern type="File">%PROFILESFOLDER%\NetworkService\Application Data\Microsoft\Crypto\DSS\*[*]</pattern>
            </objectSet>
          </include>
        </rules>
      </migXml>
    </machineSpecific>

    <migrationDisplayID>Additional_Options\Windows_Core_Settings</migrationDisplayID>
  </migration>
</assembly>
