<assembly manifestVersion="1.0" description="ehome registration inf" displayName="ehome registration inf" company="Microsoft" authors="mcsetcor" owners="mcsetcor" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="urn:schemas-microsoft-com:asm.v3">
  <assemblyIdentity name="Microsoft-Windows-ehome-reg-inf-DL" version="0.0.0.0" processorArchitecture="*" publicKeyToken="$(Build.WindowsPublicKeyToken)" language="neutral"/>

  <migration>
    <migXml xmlns="">
      <detects>
        <detect>
          <condition>MigXmlHelper.DoesOSMatch("NT","5.1.*")</condition>
        </detect>
      </detects>

      <rules context="System">
        <include>
          <objectSet>
            <pattern type="File">%CSIDL_COMMON_PROGRAMS%\Media Center\Media Center Programs [*.mcl]</pattern>
            <pattern type="File">%CSIDL_COMMON_APPDATA%\Microsoft\eHome [ehshell.config]</pattern>
            <pattern type="File">%WINDIR%\eHome [MCETuningOverrides.xml]</pattern>
            <pattern type="File">%CSIDL_COMMON_APPDATA%\Microsoft\eHome\EPG\prefs [ATSCprefs.xml]</pattern>
            <pattern type="File">%CSIDL_COMMON_APPDATA%\Microsoft\eHome\EPG\prefs [prefs.xml]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Extensibility\* [*]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\Extensibility\* [*]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\ParentalControl\* [*]</pattern>

            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Media Center\Service\Recording [Quota]</pattern>

            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Media Center\Service\Recording [RecordPath]</pattern>

            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Media Center\Service\Recording [WatchedFolders]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Service\Connection [PreventAutoConnect]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings [OEMName]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings [OEMName2]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings [OEMLogo]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\ProgramGuide [fAgreeEPGPrivacy]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\EPG [sqmAgreed]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\VolumeDisplay [Disable]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\VolumeDisplay [Color]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\VolumeDisplay [FontSize]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\VolumeDisplay [Timeout]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\VolumeDisplay [MuteTimeout]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Display Settings [DisableComplexStretchesOnConsole]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\MediaCenterPeripheral [NoDevDiscBalloon]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Start Menu [HideTV]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center [10 Foot OOBE]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\MCE.GlobalSettings [restartEnabled]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\MCE.GlobalSettings [restartHour]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\MCE.GlobalSettings [restartMinute]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\MCE.GlobalSettings [workOffline]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\DvdSettings [ShowGallery]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\VideoSettings [RecordingKeepUntil]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\VideoSettings [RecordingQuality]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\VideoSettings [RecordingSoftPrePadding]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\VideoSettings [RecordingSoftPostPadding]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\VideoSettings [RecordingSportsHardPostPadding]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\VideoSettings [RecordingAllowRepeats]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\VideoSettings [RecordingAllowedShowTypes]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\VideoSettings [RecordingMaxEpisodes]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\VideoSettings [RecordingSeriesOnAnyChannel]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\VideoSettings [RecordingSeriesAtAnyTime]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\VideoSettings [RecordingOncePerDay]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\VideoSettings [RecordingAnyLanguage]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\VideoSettings [DiskAllocation]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\VideoSettings [DiskLimit]</pattern>

            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center [EnableSPADLaunchErrors]</pattern>

          </objectSet>
        </include>
        <exclude>
          <objectSet>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Media Center\Extensibility\Applications\{37baf479-af2f-4ac8-8416-25a4aae4da8a}\* [*]</pattern>
            
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Media Center\Extensibility\Categories\Listmaker\Disc Burning\{1beb699f-dc1e-41a7-a31a-d4b339d21f42}\* [*]</pattern>
            
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Media Center\Extensibility\Entry Points\{1beb699f-dc1e-41a7-a31a-d4b339d21f42}\* [*]</pattern>
          </objectSet>
        </exclude>
      </rules>
      <rules context="User">
        <include>
          <objectSet>
            <pattern type="File">%CSIDL_PROGRAMS%\Media Center\Media Center Programs [*.mcl]</pattern>
            <pattern type="File">%CSIDL_APPDATA%\Microsoft\eHome\Recording [recordings.xml]</pattern>
            <pattern type="File">%CSIDL_APPDATA%\Microsoft\eHome [ehshell.config]</pattern>
            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Extensibility\* [*]</pattern>
            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\Extensibility\* [*]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\DvdSettings\* [*]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\VideoSettings\* [*]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\MediaFolders\* [*]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\Photos [fRecursive]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\Photos [fShuffle]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\Photos [fRecursivePrint]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\Photos [fCaption]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\Photos [Background]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\Photos [fSortByDate]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\Photos [songinfo]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\Photos [fRotateClockwise]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\Photos [SlideShowAnimation]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\Photos [sPaperSize]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\Photos [dbr]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\Audio [fNeedtoPromptUserForMediaDiscovery]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\Audio [fStartedMediaDiscovery]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\Audio [fShowVizonPlay]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\Audio [fShowAddtoQueueSuccessPrompt]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\Audio [CurrentHomeView]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\Audio [viewstate]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\Audio [fenableskip]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\Audio [DisabledVisualizationList]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\Audio [ActiveVisualizationPreset]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\Audio [ActiveVisualizationType]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\Audio [VisualizationsSongInfoBar]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\MCE.PerUserSettings [enableAnimations]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\MCE.PerUserSettings [marginSaved]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\MCE.PerUserSettings [soundEffectsEnabled]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\MCE.PerUserSettings [useDefaultOverscanMargins]</pattern>

            <pattern type="Registry">HKU\.DEFAULT\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\MCE.PerUserSetting [marginSaved]</pattern>

            <pattern type="Registry">HKU\.DEFAULT\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\MCE.PerUserSetting [useDefaultOverscanMargins]</pattern>

            <pattern type="Registry">HKU\.DEFAULT\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\MCE.PerUserSettings [enableAnimations]</pattern>

            <pattern type="Registry">HKU\.DEFAULT\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\MCE.PerUserSettings [enableBGAnimations]</pattern>

            <pattern type="Registry">HKU\.DEFAULT\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\MCE.PerUserSettings [soundEffectsEnabled]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center [EnableNotifications]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center [EnableTips]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\MCE.PerUserSettings [enableAlwaysOnTop]</pattern>

            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Media Center\Settings\Extensibility [ShowNotDesignedForMCEDialogs]</pattern>
            
            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Run [Windows Media Center]</pattern>
          
          </objectSet>
        </include>
      </rules>
      <rules context="System">
        <detects>
          <detect>
            <condition>MigXmlHelper.DoesStringContentEqual("Registry","HKLM\System\WPA\MediaCenter [Installed]", "0x00000001")</condition>
          </detect>
        </detects>
        <addObjects>
          <object>
            <location type="Registry">HKLM\System\CurrentControlSet\Control\MediaCenter [MceDownlevelUpgrade]</location>
            <attributes>Dword</attributes>
            <bytes>01000000</bytes>
          </object>
        </addObjects>
	<include>
          <objectSet>
            <pattern type="Registry">HKLM\System\CurrentControlSet\Control\MediaCenter [MceDownlevelUpgrade]</pattern>
          </objectSet>
        </include>
      </rules>
      <rules context="System">
        <detects>
          <detect>
            <condition>MigXmlHelper.DoesObjectExist("Registry","HKLM\Software\Microsoft\Windows\CurrentVersion\Media Center [Ident]")</condition>
          </detect>
        </detects>
        <addObjects>
          <object>
            <location type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Media Center\Settings\MCE.GlobalSettings [DisableExpressSetup]</location>
            <attributes>Dword</attributes>
            <bytes>01000000</bytes>
          </object>
        </addObjects>
	<include>
          <objectSet>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Media Center\Settings\MCE.GlobalSettings [DisableExpressSetup]</pattern>
          </objectSet>
        </include>
      </rules>
    </migXml>
  </migration>
</assembly>
