<assembly xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" manifestVersion="1.0" description="Downlevel manifest for Certificate Services" displayName="Downlevel manifest for Certificate Services" company="MS" copyright="" supportInformation="" creationTimeStamp="2004-10-15T21:30:37.0535545-07:00" lastUpdateTimeStamp="2005-02-16T22:40:06.8387341-08:00" authors="vishala" owners="vishala" testers="shawncor" buildFilter="" xmlns="urn:schemas-microsoft-com:asm.v3">
  <assemblyIdentity name="Microsoft-Windows-CertificateServices-CA-DL" type="" publicKeyToken="" buildType="release" versionScope="nonSxS" buildFilter=""  version="0.0.0.0" processorArchitecture="*" language="*"/>

  <migration xmlns="">
   
    <registerSDF name="CertificateServices"></registerSDF>
	
    <migXml xmlns="">

	<detects>
	  <detect>
	    <condition>MigXmlHelper.DoesObjectExist("Registry", "HKLM\SYSTEM\CurrentControlSet\Services\CertSvc\Security")</condition>
	  </detect>
          <detect>
            <condition>MigXmlHelper.IsOSEarlierThan("NT", "6.0.0.0")</condition>
          </detect>
	</detects>

      <rules context="System">
	<include>
	  <objectSet>
	    <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\CertSvc\Configuration\* [*]</pattern>
	    <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\CertSvc\Security\* [*]</pattern>
	    <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\CertSvc[start]</pattern>
	  </objectSet>
	</include>
      </rules>
    </migXml>
  </migration>
</assembly>
