<assembly xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" manifestVersion="1.0" description="$(resourceString.description1)" displayName="$(resourceString.displayName0)" company="Microsoft" copyright="" supportInformation="" creationTimeStamp="2005-01-01T00:35:52.6386021-08:00" lastUpdateTimeStamp="2005-03-01T23:47:26.4788237-08:00" authors="charfa" owners="charfa" testers="" buildFilter="" xmlns="urn:schemas-microsoft-com:asm.v3">
  <assemblyIdentity name="Microsoft-Windows-CertificateServices-MSCEP-DL" type="" publicKeyToken="" buildType="release" versionScope="nonSxS" buildFilter="" version="0.0.0.0" processorArchitecture="*" language="*"/>

  <migration xmlns="">

    <registerSDF name="NetworkDeviceEnrollmentServices"></registerSDF>

    <migXml xmlns="">

        <detects>
	  <detect>
	    <condition>MigXmlHelper.DoesObjectExist("Registry", "HKLM\Software\Microsoft\Cryptography\MSCEP")</condition>
	  </detect>
          <detect>
            <condition>MigXmlHelper.IsOSEarlierThan("NT", "6.0.0.0")</condition>
          </detect>
	</detects>

      <rules context="System">
	<include>
	  <objectSet>
	    <pattern type="Registry">HKLM\Software\Microsoft\Cryptography\MSCEP\* [*]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\SystemCertificates\CEP\Certificates\*[*]</pattern>
	  </objectSet>
	</include>
      </rules>
    </migXml>
  </migration>
</assembly>
