<assembly xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xmlns:xsd="http://www.w3.org/2001/XMLSchema"
          manifestVersion="1.0"
          description="$(resourceString.description)"
          displayName="$(resourceString.displayName)"
          company="Microsoft Corp"
          copyright="Microsoft"
          supportInformation="dfsrdev"
          creationTimeStamp="2004-05-24T17:39:48.5440428-07:00"
          lastUpdateTimeStamp="2005-05-10T17:21:13.088724Z"
          authors="dfsrdev"
          owners="dfsrdev"
          testers="dfsrtst"
          buildFilter=""
          xmlns="urn:schemas-microsoft-com:asm.v3"> 
          
  <assemblyIdentity type=""
                    publicKeyToken="$(Build.WindowsPublicKeyToken)"
                    buildType="$(build.buildType)"
                    versionScope="nonSxS"
                    buildFilter=""
                    name="Microsoft-Windows-DFSR-Core-DL"
                    version="0.0.0.0"
                    processorArchitecture="*"
                    language="*" />

  <migration>
    <!-- In-place section. Declarations here will not be migrated pc-to-pc. -->
    <!-- Begin migration to W2K8 from non-Vista Server OS -->
    <registerSDF name="DFSR-Infrastructure-ServerEdition"></registerSDF>

    <migXml xmlns="">
      <!-- Ruleset for migrating R2 -->
      <detects>
        <detect>
          <condition>MigXmlHelper.DoesOSMatch("NT", "5.2.*")</condition>
        </detect>
        <detect>
          <condition>MigXmlHelper.DoesObjectExist("Registry", "HKLM\SYSTEM\CurrentControlSet\Services\DFSR")</condition>
        </detect>
      </detects>    
    </migXml>

    <machineSpecific>
      <migXml xmlns="">
      
        <!-- Ruleset for migrating R2 -->
        <detects>
          <detect>
            <condition>MigXmlHelper.DoesOSMatch("NT", "5.2.*")</condition>
          </detect>
          <detect>
            <condition>MigXmlHelper.DoesObjectExist("Registry", "HKLM\SYSTEM\CurrentControlSet\Services\DFSR")</condition>
          </detect>
        </detects>    
        <rules context="System">
          <include>
            <objectSet>
              <pattern type="Registry">HKLM\System\CurrentControlSet\Services\DFSR\Parameters\* [*]</pattern>
              <pattern type="Registry">HKLM\System\CurrentControlSet\Services\DFSR\Access Checks\* [*]</pattern>
              <pattern type="Registry">HKLM\System\CurrentControlSet\Services\DFSR [Start]</pattern>
              <pattern type="Registry">HKLM\System\CurrentControlSet\Services\DFSR [DependOnService]</pattern>
            </objectSet>
          </include>
        </rules>
      
      </migXml>
    </machineSpecific>

    <!-- No pc-to-pc migration. -->

  </migration> 
</assembly>