<assembly manifestVersion="1.0" description="" displayName="" company="MS" copyright="" supportInformation="" creationTimeStamp="2004-10-07T01:03:17.4233170-07:00" lastUpdateTimeStamp="2004-10-11T17:02:16.5517111-07:00" authors="anoopc" owners="anoopc" testers="nareshc" buildFilter="" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="urn:schemas-microsoft-com:asm.v3">
	<assemblyIdentity name="Microsoft-Windows-Fax-Service-DL" publicKeyToken="$(Build.WindowsPublicKeyToken)" buildType="$(build.buildType)" buildFilter="" versionScope="nonSxS" version="0.0.0.0" processorArchitecture="*" language="*"/>
	<migration scope="Upgrade,MigWiz,USMT" xmlns="">
		<migXml>
			<!-- Common settings for XP, WS03 & windows 2000 -->
			<rules context="User">
				<detects>
					<detect>
						<condition>MigXmlHelper.DoesOSMatch("NT","5.0.*")</condition> <!-- w2k -->
						<condition>MigXmlHelper.DoesOSMatch("NT","5.1.*")</condition> <!-- xp    -->
						<condition>MigXmlHelper.DoesOSMatch("NT","5.2.*")</condition> <!-- w2k3 -->						
					</detect>
				</detects>
				<include>
					<objectSet>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax [Retries]</pattern>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax [Retry Delay]</pattern>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax [UseDeviceTsid]</pattern>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax [StartCheapTime]</pattern>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax [StopCheapTime]</pattern>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax [Branding]</pattern>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax [RecipientsLimit]</pattern>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax [AllowPersonalCoverPages]</pattern>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax\Logging\* [*]</pattern>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax\Setup [Installed]</pattern>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax\Setup\Original Setup Data [CSID]</pattern>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax\Setup\Original Setup Data [Rings]</pattern>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax\Setup\Original Setup Data [TSID]</pattern>
					</objectSet>
				</include>
			</rules>
			<!--Note that we are not migrating any FSPs or Routing Extensions -->
			<!-- These are the rules for 2K machine. -->
			<rules context="System">
				<detects>
					<detect>
						<condition>MigXmlHelper.DoesOSMatch("NT","5.0.*")</condition> <!-- w2k -->
					</detect>
				</detects>
				<include>
					<objectSet>
						<!-- Note registry value 'ArchiveDirectory' shouldn't be migrated -->
						<pattern type="File"> %CSIDL_COMMON_DOCUMENTS%\My Faxes\Common CoverPages\* [*] </pattern>
						<pattern type="File"> %CSIDL_COMMON_DOCUMENTS%\My Faxes\Received Faxes\* [*] </pattern>
						<pattern type="File">%CSIDL_COMMON_DOCUMENTS%\My Faxes\Sent Faxes\* [*] </pattern>
					</objectSet>
				</include>
			</rules>
			<!-- here ends the rules for downlevel migration from 2k system. -->
			<!-- rules for specific xp migration -->
			<rules context="System">
				<detects>
					<detect>
						<condition>MigXmlHelper.DoesOSMatch("NT","5.1.*")</condition> <!-- xp     -->
						<condition>MigXmlHelper.DoesOSMatch("NT","5.2.*")</condition> <!-- w2k3 -->						
					</detect>
				</detects>
				<include>
					<objectSet>
						<pattern type="File"> %CSIDL_COMMON_APPDATA%\Microsoft\Windows NT\MSFax\ActivityLog\* [*] </pattern>
						<pattern type="File"> %CSIDL_COMMON_APPDATA%\Microsoft\Windows NT\MSFax\Queue\* [*] </pattern>
						<pattern type="File"> %CSIDL_COMMON_APPDATA%\Microsoft\Windows NT\MSFax\Common Coverpages\* [*] </pattern>
						<pattern type="File">%CSIDL_SYSTEM% [fxsperf.ini] </pattern>
						<pattern type="File"> %CSIDL_COMMON_APPDATA%\Microsoft\Windows NT\MSFax\Inbox\* [*] </pattern>
						<pattern type="File"> %CSIDL_COMMON_APPDATA%\Microsoft\Windows NT\MSFax\SentItems\* [*] </pattern>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax\ActivityLogging [*] </pattern>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax [Dirty Days]</pattern>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax [Retries]</pattern>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax [Retry Delay]</pattern>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax [UseDeviceTsid]</pattern>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax [StartCheapTime]</pattern>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax [StopCheapTime]</pattern>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax [Branding]</pattern>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax [QueueState]</pattern>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax [RecipientsLimit]</pattern>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax [AllowPersonalCoverPages]</pattern>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax\Logging\* [*]</pattern>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax\Receipts\* [*]</pattern>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax\Client [CfgWzdrDevice]</pattern>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax\Setup [Installed]</pattern>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax\Setup [ServerCoverPageDir]</pattern>
						<pattern type="Registry">HKLM\SOFTWARE\Microsoft\Fax\Setup\Original Setup Data [Flags]</pattern>
						<!-- Outbound Routing is not migrated as device IDs will be different -->
					</objectSet>
				</include>
				<exclude>
					<objectSet>
						<pattern type="File"> %CSIDL_COMMON_APPDATA%\Microsoft\Windows NT\MSFax\ActivityLog [schema.ini] </pattern>
					</objectSet>
				</exclude>
			</rules>
			<!-- this is the end of rules for downlevel migration for xp/ws03 -->
		</migXml>
                <migrationDisplayID>Communications_and_Sync\Fax</migrationDisplayID>
  </migration>
</assembly>
