﻿<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<assembly 
  manifestVersion="1.0"
  displayName="Windows Color System color profiles down-level migration manifest"
  description=""
  company="Microsoft"
  copyright="Copyright (C) Microsoft Corporation. All rights reserved."
  supportInformation=""
  creationTimeStamp="2006-08-18T08:30:00.0000000-07:00"
  lastUpdateTimeStamp="2005-08-28T16:30:00.0000000Z"
  authors="lgolding"
  owners="philco"
  testers="apresley"
  buildFilter=""
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xmlns:xsd="http://www.w3.org/2001/XMLSchema"
  xmlns="urn:schemas-microsoft-com:asm.v3"
  >

  <assemblyIdentity
    name="Microsoft-Windows-ICM-Profiles-DL"
    version="0.0.0.0"
    processorArchitecture="*"
    language="neutral"
    />

  <migration scope="Upgrade,MigWiz,USMT"> 
    <migXml xmlns="">
      <!-- This is only valid for down-level OS (before Windows Vista). -->
      <detects>
        <detect>
          <condition>MigXmlHelper.IsOSEarlierThan("NT", "6.0.0.0")</condition>
        </detect>
      </detects>
      <environment>
        <variable name="WindowsColorSystem.ColorDir">
          <text>%windir%\system32\spool\drivers\color</text>
        </variable>
      </environment>
      <rules context="System">
        <include>
          <objectSet>
            <pattern type="File">%WindowsColorSystem.ColorDir%\*[*]</pattern>
          </objectSet>
          <objectSet>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\ICM\RegisteredProfiles[*]</pattern>
          </objectSet>
          <objectSet>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\ICM\ICMatchers\*[*]</pattern>
          </objectSet>
        </include>
        <exclude>
          <objectSet>
            <!-- Don't migrate the standard system profile. It will already be on the
                 target system, and if we are doing a version-to-version upgrade, the
                 the newer OS might have an improved version of this file. -->
            <pattern type="File">%WindowsColorSystem.ColorDir%\[sRGB Color Space Profile.icm]</pattern>
          </objectSet>
        </exclude>
      </rules>
    </migXml>
    <migrationDisplayID>Additional_Options\Windows_Core_Settings</migrationDisplayID>
  </migration>
</assembly>
