<assembly manifestVersion="1.0" description="Downlevel manifest for Windows Mail" displayName="Windows Mail Downlevel Manifest" company="Microsoft" copyright="" supportInformation="" creationTimeStamp="2003-11-24T12:08:20.1209335-08:00" lastUpdateTimeStamp="2004-08-25T00:47:04.0950053-07:00" authors="danstrut" owners="danstrut" testers="kfour" buildFilter="" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="urn:schemas-microsoft-com:asm.v3">

  <assemblyIdentity name="Microsoft-Windows-Mail-DL" version="0.0.0.0" publicKeyToken="$(Build.WindowsPublicKeyToken)" buildType="release" versionScope="nonSxS" buildFilter="" processorArchitecture="*" language="neutral"></assemblyIdentity>

  <migration scope="Upgrade,MigWiz,USMT" xmlns="">

    <migXml>

      <environment context="System">
        <variable name="WinmailExePath" remap="TRUE">
          <script>MigXmlHelper.GetStringContent("Registry","HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\msimn.exe []")</script>
        </variable>
      </environment>

      <rules context="User">
        <detects>
          <detect>
            <condition>MigXmlHelper.IsOSEarlierThan("NT", "6.0.0.0")</condition>
          </detect>
        </detects>

        <include>
          <objectSet>
            <pattern type="Registry">HKCU\Identities\* [*]</pattern>
            <pattern type="Registry">HKCU\Software\Microsoft\Internet Account Manager\* [*]</pattern>
            <pattern type="File">%UserProfile%\Local Settings\Application Data\Identities\* [*]</pattern>
          </objectSet>
        </include>
      </rules>

    </migXml>

    <migrationDisplayID>Communications_and_Sync\Windows_Mail</migrationDisplayID>

  </migration>
</assembly>
