<assembly manifestVersion="1.0" description="$(resourceString.description)" displayName="$(resourceString.displayName)" company="Microsoft" copyright="" supportInformation="" creationTimeStamp="2003-07-23T16:58:23.2516123-07:00" lastUpdateTimeStamp="2004-08-10T10:14:55.3853460-07:00" authors="anandsg" owners="anandsg" testers="smeesala" buildFilter="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="urn:schemas-microsoft-com:asm.v3">
  <assemblyIdentity name="Microsoft-Windows-TapiSetup-DL" version="0.0.0.0" processorArchitecture="*" language="*"/>

  <migration scope="Upgrade,MigWiz,USMT"> 
    <migXml xmlns="">
      <rules context="System">
        <detects>
          <detect>
          <!-- DL manifest should not run on Vista itself -->
            <condition>
              MigXmlHelper.IsOSEarlierThan("NT", "6.0")
            </condition>
          </detect>
        </detects>
        <include>
          <objectSet>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Telephony\Locations\* [*]</pattern>
          
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Telephony\Server\* [*]</pattern>

            <pattern type="File">%windir%\TAPI [tsec.ini]</pattern> <!-- manually added, migtranslate tool failed to add this -->
          </objectSet>
        </include>
      </rules>

      <plugin file="Microsoft-Windows-TapiSetup\TapiMigPlugin.dll" classId="{cf3b7cbe-c86a-4561-93a8-30e8036170a3}"></plugin>    
    
      <rules context="User">
        <detects>
          <detect>
          <!-- DL manifest should not run on Vista itself -->
            <condition>
              MigXmlHelper.IsOSEarlierThan("NT", "6.0")
            </condition>
          </detect>
        </detects>
        <include>
          <objectSet>
            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Telephony\Locations\* [*]</pattern>
          
            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Telephony\Cards\* [*]</pattern>
          
            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Telephony\HandoffPriorities\* [*]</pattern>
          </objectSet>
        </include>
      </rules>
    </migXml>
    <migrationDisplayID>Hardware\Phone_and_Modem</migrationDisplayID>
  </migration>
</assembly>
