<?xml version="1.0" encoding="utf-8"?>

<!-- Downlevel manifest for component Microsoft-Windows-WCFCoreComp -->
<assembly xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" manifestVersion="1.0" description="Windows Communication Foundation Downlevel" displayName="Windows Communication Foundation Downlevel" company="Microsoft" copyright="" supportInformation="" creationTimeStamp="2006-07-27T12:29:38.8364502Z" lastUpdateTimeStamp="2006-07-27T12:29:38.8364502Z" authors="wdong" owners="" testers="" buildFilter="" xmlns="urn:schemas-microsoft-com:asm.v3">
  <assemblyIdentity name="Microsoft-Windows-WCFCoreComp-DL" version="0.0.0.0" processorArchitecture="*" language="*" type="" publicKeyToken="$(Build.WindowsPublicKeyToken)" buildType="$(build.buildType)" versionScope="nonSxS" buildFilter=""/>
  <migration>
    <migXml xmlns="">
      <detects>
        <detect>
          <condition>MigXmlHelper.IsOSEarlierThan("NT", "6.0.0.0")</condition>
        </detect>
      </detects>

      <rules context="System">
        <include>
          <objectSet>
            <pattern type="File">%windir%\Microsoft.NET\Framework\v3.0\Windows Communication Foundation [SMSvcHost.exe.config]</pattern>
            <pattern type="File">%windir%\Microsoft.NET\Framework64\v3.0\Windows Communication Foundation [SMSvcHost.exe.config]</pattern>
            <pattern type="File">%windir%\Microsoft.NET\Framework\v3.0\Windows Communication Foundation [infocard.exe.config]</pattern>
            <pattern type="File">%windir%\Microsoft.NET\Framework64\v3.0\Windows Communication Foundation [infocard.exe.config]</pattern>
            <pattern type="Registry">HKLM\Software\Microsoft\WSAT\3.0\* [*]</pattern>
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\MSDTC Bridge 3.0.0.0\Performance [FileMappingSize]</pattern>
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\ServiceModelEndpoint 3.0.0.0\Performance [FileMappingSize]</pattern>
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\ServiceModelOperation 3.0.0.0\Performance [FileMappingSize]</pattern>
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\ServiceModelService 3.0.0.0\Performance [FileMappingSize]</pattern>
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\SMSvcHost 3.0.0.0\Performance [FileMappingSize]</pattern>
            <pattern type="Registry">HKLM\System\CurrentControlSet\Services\NetTcpPortSharing [Start]</pattern>
            <pattern type="Registry">HKLM\System\CurrentControlSet\Services\NetTcpPortSharing [FailureActions]</pattern>
            <pattern type="Registry">HKLM\System\CurrentControlSet\Services\idsvc [Start]</pattern>
            <pattern type="Registry">HKLM\System\CurrentControlSet\Services\idsvc [FailureActions]</pattern>
          </objectSet>
        </include>
        <merge script="MigXmlHelper.SourcePriority()">
          <objectSet>
            <pattern type="File">%windir%\Microsoft.NET\Framework\v3.0\Windows Communication Foundation [SMSvcHost.exe.config]</pattern>
            <pattern type="File">%windir%\Microsoft.NET\Framework64\v3.0\Windows Communication Foundation [SMSvcHost.exe.config]</pattern>
            <pattern type="File">%windir%\Microsoft.NET\Framework\v3.0\Windows Communication Foundation [infocard.exe.config]</pattern>
            <pattern type="File">%windir%\Microsoft.NET\Framework64\v3.0\Windows Communication Foundation [infocard.exe.config]</pattern>
            <pattern type="Registry">HKLM\Software\Microsoft\WSAT\3.0\* [*]</pattern>
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\MSDTC Bridge 3.0.0.0\Performance [FileMappingSize]</pattern>
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\ServiceModelEndpoint 3.0.0.0\Performance [FileMappingSize]</pattern>
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\ServiceModelOperation 3.0.0.0\Performance [FileMappingSize]</pattern>
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\ServiceModelService 3.0.0.0\Performance [FileMappingSize]</pattern>
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\SMSvcHost 3.0.0.0\Performance [FileMappingSize]</pattern>
            <pattern type="Registry">HKLM\System\CurrentControlSet\Services\NetTcpPortSharing [Start]</pattern>
            <pattern type="Registry">HKLM\System\CurrentControlSet\Services\NetTcpPortSharing [FailureActions]</pattern>
            <pattern type="Registry">HKLM\System\CurrentControlSet\Services\idsvc [Start]</pattern>
            <pattern type="Registry">HKLM\System\CurrentControlSet\Services\idsvc [FailureActions]</pattern>
          </objectSet>
        </merge>
        <!-- We prevent the ACLs from being migrated -->
        <excludeAttributes attributes="Security">
          <objectSet>
            <pattern type="File">%windir%\Microsoft.NET\Framework\v3.0\Windows Communication Foundation [SMSvcHost.exe.config]</pattern>
            <pattern type="File">%windir%\Microsoft.NET\Framework64\v3.0\Windows Communication Foundation [SMSvcHost.exe.config]</pattern>
          </objectSet>
        </excludeAttributes>
      </rules>
    </migXml>
  </migration>
</assembly>
