<assembly manifestVersion="1.0" description="Downlevel manifest for MSDTC migration plugin" displayName="MSDTC migration plug-in downlevel manifest" company="Microsoft" copyright="" supportInformation="" creationTimeStamp="2005-09-26T18:05:22.5180575-07:00" lastUpdateTimeStamp="2005-09-26T18:45:29.7214013-07:00" authors="vikramsa" owners="jimjohn" testers="florinl" buildFilter="" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="urn:schemas-microsoft-com:asm.v3">
  <assemblyIdentity name="Microsoft-Windows-COM-DTC-Setup-DL" version="0.0.0.0" processorArchitecture="*" publicKeyToken="" language="neutral" buildType="release" buildFilter="" versionScope="nonSxS"/>
  <migration scope="Upgrade,MigWiz,USMT">
    <machineSpecific>  
      <plugin file="Microsoft-Windows-COM-DTC-Setup-DL\msdtcstp.dll" classId="{342992B2-913C-4C36-9DB7-6C68ABD1F079}"/>
      <migXml xmlns="">      
        <detects>
          <detect>
            <condition>
              MigXmlHelper.IsOSEarlierThan("NT", "6.0")
            </condition>
          </detect>
        </detects>        
        <rules context="System">
          <include>
            <objectSet>
              <pattern type="Registry">HKLM\Software\Microsoft\MSDTC\Security\XAKey\* [*] </pattern>
              <pattern type="Registry">HKLM\Software\Microsoft\MSDTC\Security [AccountName] </pattern>
              <pattern type="Registry">HKLM\System\CurrentControlSet\Services\MSDTC [ObjectName] </pattern>
              <pattern type="Registry">HKLM\System\CurrentControlSet\Services\MSDTC [Start] </pattern>
              <pattern type="Registry">HKLM\System\CurrentControlSet\Services\MSDTC [FailureActions] </pattern>
              <pattern type="Registry">HKLM\Software\Classes\CID\* [*] </pattern>
              <pattern type="Registry">HKLM\Software\Classes\SVCID\* [*] </pattern>
              <pattern type="Registry">HKLM\Software\Microsoft\MSDTC\MTxOCI\* [*] </pattern>
              <pattern type="Registry">HKLM\Software\Microsoft\MSDTC\XADLL\* [*] </pattern>
              <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Control\BackupRestore\FilesNotToBackup [MS Distributed Transaction Coordinator]</pattern>
              <pattern type="Registry">HKLM\Software\Microsoft\MSDTC\Setup [DownlevelVersion]</pattern>
              <pattern type="File">%SYSTEMROOT%\System32\MSDTC\Trace [dtctrace.log*] </pattern>
              <pattern type="File">%SYSTEMROOT% [DtcInstall.log] </pattern>
            </objectSet>
          </include>
          <addObjects>
            <object>
              <location type="Registry">HKLM\Software\Microsoft\MSDTC\Setup [DownlevelVersion]</location>
              <attributes>dword</attributes>
              <!-- Keep this value in sync with the "PRE_VISTA_VERSION" value defined in SharedSetup.h -->
              <bytes>05000000</bytes>
            </object>
          </addObjects>
        </rules>        
      </migXml>
    </machineSpecific>
    <migXml xmlns="">
      <detects>
        <detect>
          <condition>
            MigXmlHelper.IsOSEarlierThan("NT", "6.0")
          </condition>
        </detect>
      </detects>    
      <rules context="System">
        <include>
          <objectSet>
            <pattern type="Registry">HKLM\Software\Microsoft\Windows NT\CurrentVersion\Tracing\MSDTC\* [*]</pattern>
            <pattern type="Registry">HKLM\Software\Microsoft\MSDTC [*]</pattern>
            <pattern type="Registry">HKLM\Software\Microsoft\MSDTC\Security [*]</pattern>
          </objectSet>
        </include>
        <exclude>
          <objectSet>
            <pattern type="Registry">HKLM\Software\Microsoft\MSDTC\Security [AccountName]</pattern>
          </objectSet>
        </exclude>
      </rules>
    </migXml>
    <migrationDisplayID>Additional_Options\Windows_Core_Settings</migrationDisplayID>
  </migration>
</assembly>
