<assembly xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
          xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
          manifestVersion="1.0" 
          description="$(resourceString.description1)" 
          displayName="$(resourceString.displayName1)" 
          company="Microsoft Corporation" 
          copyright="Microsoft Corporation" 
          supportInformation="nfsdev" 
          creationTimeStamp="2005-06-01T20:46:17.0709288Z" 
          lastUpdateTimeStamp="2005-06-27T19:13:31.5450725Z" 
          authors="AkhilW" 
          owners="RoopeshB" 
          testers="nfstest" 
          buildFilter="" 
          xmlns="urn:schemas-microsoft-com:asm.v3">
  
  <assemblyIdentity name="Microsoft-Windows-NFS-OpenPortMapper-DL"
                      version="0.0.0.0"
                      processorArchitecture="*"
                      language="neutral"
                      type=""
                      publicKeyToken="$(Build.WindowsPublicKeyToken)"
                      buildType="$(build.buildType)"
                      versionScope="nonSxS"
                      buildFilter=""/>

  <migration>
  
  <machineSpecific>
    <migXml xmlns="">
          
      <detects>
        <!-- Detect presence of Longhorn down-level equiv feature -->
        <detect>
          <condition>MigXmlHelper.DoesObjectExist("Registry","HKLM\SOFTWARE\Microsoft\MSNFS\AppsInstalled\Server for NFS")</condition>
        </detect>
  
        <!-- Check as this is only valid for Windows Server 2003 R2 -->
        <detect>
          <condition>MigXmlHelper.DoesOSMatch("NT", "5.2.*")</condition>
        </detect>
      </detects>
                
      <rules context="System">
      
        <include>
          <objectSet>
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\Portmap\Parameters\* [*]</pattern>
          </objectSet>
        </include>
      </rules>
      
    </migXml>
  </machineSpecific>
  
  </migration>
</assembly>
