<?xml version="1.0" encoding="utf-8"?>

<assembly manifestVersion="1.0" company="Microsoft Corporation"  xmlns="urn:schemas-microsoft-com:asm.v3">
	
	<assemblyIdentity name="Microsoft-Windows-RemoteAssistance-Downlevel" 
		version="0.0.0.0" 
		processorArchitecture="x86" 
		publicKeyToken="$(Build.WindowsPublicKeyToken)" 
		language="neutral" 
		buildType="release" 
		versionScope="nonSxS"/>

	<migration>

        <supportedComponent>
            <assemblyIdentity 
                name="Microsoft-Windows-RemoteAssistance-Downlevel"
                version="0.0.0.0" 
                processorArchitecture="x86" 
                language="neutral"/>
        </supportedComponent>

	<!-- Check as this is only valid for down-level OS less than Windows Vista, specifically XP and W2K3 for RA -->
	<detects>
	<detect>
		<condition>MigXmlHelper.IsOSEarlierThan("NT", "5.2.*")</condition>
		<condition>MigXmlHelper.IsOSLaterThan("NT", "5.1.*")</condition>
	</detect>
	</detects>

	<migXml xmlns="">
	<rules context="System">

	<!-- Collect fAllowToGetHelp always -->

        <include>
	<objectSet>
		<pattern type="Registry">HKLM\System\CurrentControlSet\Control\Terminal Server [fAllowToGetHelp]</pattern>
	</objectSet>
	</include>	

	<!-- Collect fAllowFullControl only if it exists -->

	<rules>
	<detects>
	<detect>
		<condition>MigXmlHelper.DoesObjectExist("Registry", "HKLM\System\CurrentControlSet\Control\Terminal Server [fAllowFullControl]")</condition>
	</detect>
	</detects>
        <include>
	<objectSet>
		<pattern type="Registry">HKLM\System\CurrentControlSet\Control\Terminal Server [fAllowFullControl]</pattern>
	</objectSet>
	</include>
	</rules>		

	</rules>
	</migXml>  
 	</migration>

</assembly>