<?xml version="1.0" encoding="UTF-8"?>
<!-- ******* Down Level Manifest For Component Subsystem-for-UNIX-based-applications ******* -->
<assembly manifestVersion="1.0" description="Downlevel manifest for Subsystem-for-UNIX-based-applications" 
 displayName="Subsystem-for-UNIX-based-applications" 
 company="Microsoft" copyright="" supportInformation="" creationTimeStamp="2005-09-23T03:41:23.1615523+05:30" 
 lastUpdateTimeStamp="2005-09-23T03:41:23.1615523+05:30" authors="pradeepa" owners="pradeepa" testers="shankul" 
 buildFilter="" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
 xmlns="urn:schemas-microsoft-com:asm.v3">
<assemblyIdentity name="Subsystem-for-UNIX-based-applications-DL" version="0.0.0.0" 
 processorArchitecture="*" publicKeyToken="$(Build.WindowsPublicKeyToken)" language="*" 
 buildType="$(build.buildType)" buildFilter="" versionScope="nonSxS"></assemblyIdentity>


<migration>

   <!-- Declare for which Longhorn equivalent OC this manifest corresponds too -->
   <registerSDF name="SUA"></registerSDF>

   <migXml xmlns="">
     <!-- This detects section is added just to identify whether the component is present or not -->
  	 <detects>
	       <!-- First Condition evaluates Windows XP, 2000 or 2003 
	            "AND" the second one evaluates whether SFU 3.5 "OR" SUA is installed 
	       -->
	       <detect>
	         <condition>MigXmlHelper.IsOSEarlierThan("NT", "6.0.0")</condition>
  	     </detect>
	       <detect>
	         <condition>MigXmlHelper.DoesObjectExist("Registry","HKLM\SOFTWARE\Microsoft\SUA\AppsInstalled\Interix Subsystem")</condition>
	         <condition>MigXmlHelper.DoesObjectExist("Registry","HKLM\SOFTWARE\Microsoft\Services for UNIX\AppsInstalled\Interix Subsystem")</condition>
	       </detect>
	   </detects>

	   <rules context="System">
	     <rules>
  	   <detects>
	       <!-- Check as this is only valid for down-level OS == Windows XP, 2000 or 2003 & SFU 3.5 -->
	       <!-- Determined by the presence of a registry key -->
	       <detect>
	         <condition>MigXmlHelper.DoesObjectExist("Registry","HKLM\SOFTWARE\Microsoft\Services for UNIX\AppsInstalled\Interix Subsystem")</condition>
  	     </detect>
	  
	       <detect>
	         <condition>MigXmlHelper.IsOSEarlierThan("NT", "6.0.0")</condition>
	       </detect>
	
	     </detects>
	
	     <include>
	         <objectSet>
	                <pattern type="File">%SFUDIR%\etc [profile.usr]</pattern>
	                <pattern type="File">%SFUDIR%\etc [csh.cshrc]</pattern>
	                <pattern type="File">%SFUDIR%\etc [csh.login]</pattern>
	                <pattern type="File">%SFUDIR%\etc [csh.logout]</pattern>
	                <pattern type="File">%SFUDIR%\etc [profile]</pattern>
	                <pattern type="File">%SFUDIR%\etc [rpc]</pattern>
	                <pattern type="File">%SFUDIR%\etc [inetd.conf]</pattern>
	                <pattern type="File">%SFUDIR%\etc [syslog.conf]</pattern>
                  <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Services For UNIX [EnableSetuidBinaries]</pattern>
	         </objectSet>
	      </include>
	      </rules>

	     <rules context="System">
  	   <detects>
	       <!-- Check as this is only valid for down-level OS == Windows 2003 & SUA 
	       	    XP 64 also has the same version, but we dont have SFU 3.5 for XP 64
	       -->
	       <!-- Determined by the presence of a registry key -->
	       <detect>
	         <condition>MigXmlHelper.DoesObjectExist("Registry","HKLM\SOFTWARE\Microsoft\SUA\AppsInstalled\Interix Subsystem")</condition>
  	     </detect>
	  
	       <detect>
	         <condition>MigXmlHelper.DoesOSMatch("NT", "5.2.*")</condition>
	       </detect>
	
	     </detects>
	
	     <include>
	         <objectSet>
	                <pattern type="File">%systemroot%\SUA\etc [profile.usr]</pattern>
	                <pattern type="File">%systemroot%\SUA\etc [csh.cshrc]</pattern>
	                <pattern type="File">%systemroot%\SUA\etc [csh.login]</pattern>
	                <pattern type="File">%systemroot%\SUA\etc [csh.logout]</pattern>
	                <pattern type="File">%systemroot%\SUA\etc [profile]</pattern>
	                <pattern type="File">%systemroot%\SUA\etc [rpc]</pattern>
	                <pattern type="File">%systemroot%\SUA\etc [inetd.conf]</pattern>
	                <pattern type="File">%systemroot%\SUA\etc [syslog.conf]</pattern>
                  <pattern type="Registry">HKLM\SOFTWARE\Microsoft\SUA [EnableSetuidBinaries]</pattern>
	         </objectSet>
	      </include>
	      </rules>

	   </rules>

   </migXml>   
</migration>
</assembly>
