<assembly xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" manifestVersion="1.0" description="$(resourceString.description1)" displayName="$(resourceString.displayName0)" company="Microsoft Corporation" copyright="Microsoft Corporation" supportInformation="" creationTimeStamp="2004-08-06T17:53:30.7908098-07:00" lastUpdateTimeStamp="2005-07-27T02:15:19.8305988Z" authors="yizhao" owners="yizhao" testers="jstatia" buildFilter="" xmlns="urn:schemas-microsoft-com:asm.v3">
  <assemblyIdentity name="Microsoft-Windows-Time-Service-DL" publicKeyToken="" buildType="release" versionScope="nonSxS" buildFilter="" version="0.0.0.0" type="" processorArchitecture="*" language="neutral"/>

  <migration>
    <migXml xmlns="">

      <detects>
        <detect>
          <condition>
            MigXmlHelper.IsOSEarlierThan("NT","6.0.0.0")            
          </condition>
        </detect>
      </detects>

      <rules context="System">
        <include>
          <objectSet>
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\w32time [Start]</pattern>                    
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\w32time\Config [*]</pattern>                    
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\w32time\Parameters [Type]</pattern>          
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\w32time\Parameters [NtpServer*]</pattern>
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\w32time\TimeProviders\* [*]</pattern>
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\control\ProductOptions [ProductType]</pattern>
          </objectSet>
        </include>
        <exclude>
          <objectSet>
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\w32time\TimeProviders\NtpClient [DllName]</pattern>
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\w32time\TimeProviders\NtpServer [DllName]</pattern>
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\w32time\Config</pattern>                    
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\w32time\Parameters</pattern>                      
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\w32time\TimeProviders</pattern>
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\w32time\TimeProviders\NtpClient</pattern>
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\w32time\TimeProviders\NtpServer</pattern>
          </objectSet>
        </exclude>
      </rules>

      <rules context="System">
        <detects>
          <detect>
            <condition>
              MigXmlHelper.DoesOSMatch("NT","5.0.*")            
            </condition>
          </detect>
        </detects>
        <addObjects>
          <object>
            <location type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\w32time\Config [RefreshSettingsFlags]</location>
            <attributes>Dword</attributes>
            <bytes>ffffffff</bytes>
          </object>
        </addObjects>
      </rules>

      <rules context="System">
        <detects>
          <detect>
            <condition>
              MigXmlHelper.DoesObjectExist("Registry", "HKLM\SYSTEM\CurrentControlSet\Services\w32time\Parameters [NtpServer]")
            </condition>
          </detect>
          <detect>
            <condition>
              MigXmlHelper.DoesStringContentEqual("Registry", "HKLM\SYSTEM\CurrentControlSet\Services\w32time\Parameters [NtpServer]", "time.windows.com")
            </condition>
            <condition>
              MigXmlHelper.DoesStringContentEqual("Registry", "HKLM\SYSTEM\CurrentControlSet\Services\w32time\Parameters [NtpServer]", "time.windows.com,0x1")
            </condition>
            <condition>
              MigXmlHelper.DoesStringContentEqual("Registry", "HKLM\SYSTEM\CurrentControlSet\Services\w32time\Parameters [NtpServer]", "time.windows.com,0x9")
            </condition>
          </detect>
        </detects>
        <exclude>
          <objectSet>
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\w32time\Parameters [NtpServer]</pattern>
          </objectSet>
        </exclude>
      </rules>

    </migXml>
  </migration>
</assembly>
