<?xml version="1.0" encoding="utf-8"?>

<!-- Down Level Manifest For Component WCF-HTTP-Activation -->
<assembly xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" manifestVersion="1.0" description="Windows Communication Foundation HTTP Activation Downlevel" displayName="Windows Communication Foundation HTTP Activation Downlevel" company="Microsoft" copyright="" supportInformation="" creationTimeStamp="2006-07-27T12:29:38.8364502Z" lastUpdateTimeStamp="2006-07-27T12:29:38.8364502Z" authors="wdong" owners="" testers="" buildFilter="" xmlns="urn:schemas-microsoft-com:asm.v3">
    <assemblyIdentity name="WCF-HTTP-Activation-DL" version="0.0.0.0" processorArchitecture="*" language="*" type="" publicKeyToken="$(Build.WindowsPublicKeyToken)" buildType="$(build.buildType)" versionScope="nonSxS" buildFilter=""/>
    <migration>
        <!-- Declare for which Longhorn equivalent OC this manifest corresponds too -->
        <registerSDF name="WCF-HTTP-Activation"/>

        <migXml xmlns="">
            <!-- On a down-level system, we detect the presence of WWW by -->
            <!-- looking for the W3SVC service.  We base this on the      -->
            <!-- registry key for the service declaration.                -->
            <detects>
                <detect>
                    <condition>MigXmlHelper.IsOSEarlierThan("NT", "6.0.0.0")</condition>
                </detect>
                <detect>
                    <condition>MigXmlHelper.DoesObjectExist("Registry", "HKLM\System\CurrentControlSet\Services\W3SVC [ImagePath]")</condition>
                </detect>
                <detect>
                    <condition>MigXmlHelper.DoesObjectExist("Registry", "HKLM\SOFTWARE\Microsoft\NET Framework Setup\NDP\v3.0\Setup\Windows Communication Foundation [InstallSuccess]")</condition>
                </detect>
            </detects>
            <rules context="System"/>
        </migXml>
    </migration>
</assembly>
