<assembly xmlns="urn:schemas-microsoft-com:asm.v1" manifestVersion="1.0">
  <assemblyIdentity name="Microsoft.Windows.WinHTTP-DL" version="0.0.0.0" processorArchitecture="*" language="*"/>

  <migration>
    <migXml xmlns="">

      <!-- Check as this is only valid for down-level OS < than Windows Vista -->
     <detects>
       <detect>
         <condition>MigXmlHelper.IsOSEarlierThan("NT", "6.0.0.0")</condition>
       </detect>
     </detects>

      <rules context="System">
        <include>
          <objectSet>
            <!-- WinHTTP Connection Settings -->
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\Connections [WinHttpSettings]</pattern>

            <!-- Passport Settings -->
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\WinHttp\Passport Test [LoginServerRealm]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\WinHttp\Passport Test [LoginServerUrl]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\WinHttp\Passport Test [ConfigVersion]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\WinHttp\Passport Test [NexusObj]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\WinHttp\Passport Test [NexusHost]</pattern>

            <!-- Trace Config Settings (use netsh extension to set) -->
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\WinHttp\Tracing [Enabled]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\WinHttp\Tracing [LogFilePrefix]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\WinHttp\Tracing [ToFileOrDebugger]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\WinHttp\Tracing [ShowBytes]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\WinHttp\Tracing [ShowApiTrace]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\WinHttp\Tracing [MaxFileSize]</pattern>

          </objectSet>
        </include>
      </rules>
    </migXml>
  </migration>
</assembly>
