<?xml version="1.0" encoding="utf-8"?>
<assembly manifestVersion="1.0" description="Windows Mobile Device Down-level Migration" displayName="Windows Mobile Device Down-level Migration" company="MS" copyright="" supportInformation="" creationTimeStamp="2004-08-12T19:06:43.4477679-07:00" lastUpdateTimeStamp="2005-08-30T21:39:52.9013625Z" authors="garywa" owners="garywa" testers="timdet" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="urn:schemas-microsoft-com:asm.v3">
    <assemblyIdentity name="Microsoft-Windows-WindowsMobileDevice-Migration-DL" version="0.0.0.0" processorArchitecture="*" language="*"></assemblyIdentity>
    <migration>
        <detects>
            <detect>
                <condition>MigXmlHelper.IsOSEarlierThan("NT","6.0.0.0")</condition>
                <condition>MigXmlHelper.DoesObjectExist("Registry","HKLM\SOFTWARE\Microsoft\Windows CE Services")</condition>
            </detect>
        </detects>
        <migXml xmlns:auto-ns2="urn:schemas-microsoft-com:asm.v3" xmlns="">
            <rules context="user">
                <include>
                    <objectSet>
                        <pattern type="Registry">HKCU\Software\Microsoft\Windows CE Services\* [*]</pattern>
                        <pattern type="File">%CSIDL_APPDATA%\Microsoft\ActiveSync\* [repl.dat]</pattern>
                    </objectSet>
                </include>
                <exclude>
                    <objectSet>
                        <pattern type="Registry">HKCU\Software\Microsoft\Windows CE Services\HTTP Server\* [*]</pattern>
                        <pattern type="Registry">HKCU\Software\Microsoft\Windows CE Services\Logging\* [*]</pattern>
                    </objectSet>
                </exclude>
            </rules>
            <rules context="System">
                <include>
                    <objectSet>
                        <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows CE Services\AppMgr [SilentInstall]</pattern>
                        <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows CE Services [RasTimeoutResponseWait]</pattern>
                        <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows CE Services [RasTimeoutPause]</pattern>
                        <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows CE Services [ConnectTypesAllowed]</pattern>
                        <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows CE Services [CheckPasswordTimeoutSeconds]</pattern>
                        <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows CE Services [WaitV2TimeoutSeconds]</pattern>
                        <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows CE Services [SerialPort]</pattern>
                        <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows CE Services [SerialBaudRate]</pattern>
                        <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows CE Services [DTPTNetworkType]</pattern>
                        <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows CE Services [DisableIr]</pattern>
                        <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows CE Services [GuestOnly]</pattern>
                    </objectSet>
                </include>
            </rules>
        </migXml>
    </migration>
</assembly>
