﻿<?xml version="1.0" encoding="utf-8"?>
<assembly
    manifestVersion="1.0"
    description="$(resourceString.description)" 
    displayName="$(resourceString.displayName)" 
    company="Microsoft Corporation" 
    copyright="" 
    supportInformation="" 
    buildFilter=""
    authors="" 
    owners="" 
    testers=""
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
    xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
    xmlns="urn:schemas-microsoft-com:asm.v3">
    <assemblyIdentity
        name="Microsoft-Windows-ADFS-WebAgentClaims-DL"
        publicKeyToken=""
        version="0.0.0.0"
        processorArchitecture="*"
        language="neutral"
        buildType="release"
        versionScope="nonSxS"
        />

    <migration scope="Upgrade,MigWiz">
        <migrationDisplayID>Active_Directory_Federation_Services</migrationDisplayID>

        <!--Declare for which Longhorn equivalent OC this manifest corresponds too-->
        <registerSDF name="ADFS-WebAgentClaims"></registerSDF>

        <migXml xmlns="">
            <detects>
                <detect>
                    <!--Check if the source version is Server 2003-->
                    <condition>
                        MigXmlHelper.DoesOSMatch("NT", "5.2.*")
                    </condition>
                </detect>
                <detect>
                    <condition>
                        MigXmlHelper.DoesStringContentEqual("Registry", "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\OC Manager\Subcomponents [adfsclaims]", "0x00000001")
                    </condition>
                </detect>
            </detects>
        </migXml>
    </migration>

    <localization>
        <resources culture="en-US">
            <stringTable>
                <string id="displayName"
                    value="ADFS Web agent for claims-aware applications"
                    buildFilter="" />
            </stringTable>
            <stringTable>
                <string id="description"
                    value="Installs Web agent for claims-aware applications"
                    buildFilter="" />
            </stringTable>
        </resources>
    </localization>
</assembly>
