<assembly>
    <assemblyIdentity name="Microsoft-Windows-Authentication-AuthUI-DL" version="0.0.0.0" processorArchitecture="*" publicKeyToken="" language="neutral" buildType="release" versionScope="nonSxS"></assemblyIdentity>
    <migration>
        <migXml xmlns="">
            <detects>
                <!-- Check as this is only valid for down-level OS < than Windows Vista -->
                <detect>
                    <condition>MigXmlHelper.IsOSEarlierThan("NT","6.0.0.0")</condition>
                </detect>
            </detects>
            <rules context="System">
                <include>
                    <objectSet>
                        <pattern type="Registry">HKLM\Software\Microsoft\Windows NT\CurrentVersion\Winlogon [DefaultUserName]</pattern>
                        <pattern type="Registry">HKLM\Software\Microsoft\Windows NT\CurrentVersion\Winlogon [DefaultDomainName]</pattern>
                        <pattern type="Registry">HKLM\Software\Microsoft\Windows NT\CurrentVersion\Winlogon [DefaultPassword]</pattern>
                        <pattern type="Registry">HKLM\Software\Microsoft\Windows NT\CurrentVersion\Winlogon [AutoAdminLogon]</pattern>
                        <pattern type="Registry">HKLM\Software\Microsoft\Windows NT\CurrentVersion\Winlogon [AutoLogonCount]</pattern>
                        <pattern type="Registry">HKLM\Software\Microsoft\Windows NT\CurrentVersion\Winlogon [ForceAutoLogon]</pattern>
                        <pattern type="Registry">HKLM\Software\Microsoft\Windows NT\CurrentVersion\Winlogon [IgnoreShiftOverride]</pattern>
                        <pattern type="Registry">HKLM\Software\Microsoft\Windows NT\CurrentVersion\Winlogon [DontDisplayLastUserName]</pattern>
                        <pattern type="Registry">HKLM\Software\Microsoft\Windows NT\CurrentVersion\Winlogon [DontDisplayLockedUserId]</pattern>
                        <pattern type="Registry">HKLM\Software\Microsoft\Windows NT\CurrentVersion\Winlogon [ShutdownWithoutLogon]</pattern>
                        <pattern type="Registry">HKLM\Software\Microsoft\Windows NT\CurrentVersion\Winlogon\SpecialAccounts\* [*]</pattern>
                    </objectSet>
                </include>
            </rules>
        </migXml>
    </migration>
</assembly>
