﻿<!-- *************** Down Level Manifest For Upgrade from R2 to LH ********************** -->

<assembly xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
          xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
          manifestVersion="1.0" 
          description="$(resourceString.description1)" 
          displayName="$(resourceString.displayName1)" 
          company="Microsoft Corporation" 
          copyright="Microsoft Corporation" 
          supportInformation="bofdev"
          creationTimeStamp="2006-02-15T20:46:17.0709288Z"
          lastUpdateTimeStamp="2006-02-15T19:13:31.5450725Z"
          authors="arunl"
          owners="bofdev"
          testers="botest"
          buildFilter=""
          xmlns="urn:schemas-microsoft-com:asm.v3">

  <assemblyIdentity type=""
		    publicKeyToken="$(Build.WindowsPublicKeyToken)"
                    buildType="$(build.buildType)"
                    versionScope="nonSxS"
                    buildFilter=""
                    name="DfsMgmt-DL"                    
		    processorArchitecture="*"
		    language="neutral"
		    version="0.0.0.0"/> 
  
  <migration>

    <!-- for which Longhorn equivalent OC this manifest corresponds to  -->     
    <registerSDF name="DfsMgmt"/>

      <migXml xmlns="">
        <detects>

          <!-- Ruleset for migrating Windows 2003 and R2 -->
          <detect>
            <condition>MigXmlHelper.DoesOSMatch("NT", "5.2.*")</condition>
          </detect>

          <!-- Detect presence of Longhorn down-level equiv feature -->
          <detect>
            <condition>
              MigXmlHelper.DoesStringContentContain("Registry", "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\OC Manager\Subcomponents [dfsfrsui]", "1")
            </condition>
          </detect>

        </detects>        
       
        <rules context="user">
          <include>
            <objectSet>
              <pattern type="Registry">HKCU\Software\Microsoft\DFS Management\* [*]</pattern>
            </objectSet>
          </include>
          <!-- We don't expect any merge conflicts -->
        </rules>        
      </migXml>
    
    <!-- No pc-to-pc migration. -->
    
  </migration>
</assembly>

