<assembly xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" manifestVersion="1.0" description="$(resourceString.description)" displayName="$(resourceString.displayName)" company="Microsoft" copyright="" supportInformation="" creationTimeStamp="2003-06-11T06:10:20.2812500+05:30" lastUpdateTimeStamp="2005-03-24T11:48:32.2583542+05:30" authors="asetia" owners="dhcpidev" testers="tmutrej" buildFilter="" xmlns="urn:schemas-microsoft-com:asm.v3">
	<assemblyIdentity name="Microsoft-Windows-DHCPServerMigPlugin-DL" version="0.0.0.0" processorArchitecture="*" type="" publicKeyToken="31bf3856fd334e35" language="neutral" buildType="release" versionScope="nonSxS" buildFilter=""/>
	<migration xmlns:auto-ns1="urn:schemas-microsoft-com:asm.v3">

	        <!--Declare for which Longhorn equivalent OC this manifest corresponds to.-->
	        <registerSDF name="DHCPServerCore"></registerSDF>
	        <registerSDF name="DHCPServer"></registerSDF>
		<migXml xmlns="">
			<detects>
				<!--Detect presence of Longhorn down-level equiv feature.-->
			        <!--Determined by the presence of a registry key.-->
				<detect>
				   <condition>
				    MigXmlHelper.DoesObjectExist("Registry","HKLM\SYSTEM\CurrentControlSet\Services\DhcpServer")
				   </condition>
				</detect>

			        <detect>
			          <condition>
			            MigXmlHelper.IsOSEarlierThan("NT", "6.0")
			          </condition>
			        </detect>
 		        </detects>
			<rules context="System">
				<include>
					<objectSet>
						<pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\DhcpServer\Parameters\ [ActivityLogFlag] </pattern>
						<pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\DhcpServer\Parameters\ [APIProtocolSupport] </pattern>
						<pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\DhcpServer\Parameters\ [BackupDatabasePath] </pattern>
						<pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\DhcpServer\Parameters\ [BackupInterval] </pattern>
						<pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\DhcpServer\Parameters\ [BootFileTable]</pattern>
						<pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\DhcpServer\Parameters\ [DatabaseCleanupInterval] </pattern>
						<pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\DhcpServer\Parameters\ [DatabaseName] </pattern>
						<pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\DhcpServer\Parameters\ [DatabasePath] </pattern>
						<pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\DhcpServer\Parameters\ [DbType] </pattern>
						<pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\DhcpServer\Parameters\ [DebugFlag] </pattern>
						<pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\DhcpServer\Parameters\ [DetectConflictRetries] </pattern>
						<pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\DhcpServer\Parameters\ [DhcpLogDiskSpaceCheckInterval] </pattern>
						<pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\DhcpServer\Parameters\ [DhcpLogFilePath] </pattern>
						<pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\DhcpServer\Parameters\ [DhcpLogFilesMaxSize] </pattern>
						<pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\DhcpServer\Parameters\ [DhcpLogMinSpaceOnDisk] </pattern>
						<pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\DhcpServer\Parameters\ [IgnoreBroadcastFlag] </pattern>
						<pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\DhcpServer\Parameters\ [MaxActiveThreads] </pattern>
                                                <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\DhcpServer\Parameters\AlternateDnsServer\* [*] </pattern>
						<pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\DhcpServer\Parameters\ [MaxProcessingThreads] </pattern>
          					<pattern type="Registry">HKLM\System\CurrentControlSet\Services\DhcpServer\ [Start] </pattern>
					</objectSet>
				</include>
			</rules>
			<plugin file="Microsoft-Windows-DHCPServerMigPlugin-DL\DhcpSrvMigPlugin.dll" classId="{f5e8de96-7f4d-4a29-be28-3943538d0340}"/>
		</migXml>
  </migration>
</assembly>
