<assembly xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" manifestVersion="1.0" description="$(resourceString.description1)" displayName="$(resourceString.displayName0)" company="Microsoft Corporation" copyright="Microsoft Corporation" supportInformation="" creationTimeStamp="2004-10-21T22:15:26.4141421-07:00" lastUpdateTimeStamp="2005-03-31T02:22:45.6392567Z" authors="jwesth" owners="jwesth" testers="rasundar" buildFilter="" xmlns="urn:schemas-microsoft-com:asm.v3">
<assemblyIdentity name="Microsoft-Windows-DNS-Server-Service-DL" version="0.0.0.0" processorArchitecture="*" language="*"/>

<migration xmlns="">

    <registerSDF name="DNS-Server-Full-Role"></registerSDF>

    <migXml>
        <detects>
            <detect>
               <condition>MigXmlHelper.IsOSEarlierThan("NT", "6.0.0.0")</condition>
            </detect>
            <detect>
                <condition>MigXmlHelper.DoesObjectExist("Registry", "HKLM\SYSTEM\CurrentControlSet\Services\DNS [ImagePath]")</condition>
            </detect>
            <detect>
                <condition>MigXmlHelper.DoesObjectExist("File", "%windir%\system32 [dns.exe]")</condition>
            </detect>
        </detects>

        <rules context="System">
        </rules>
    </migXml>
    <machineSpecific>
        <migXml>
            <detects>
                <detect>
                    <condition>MigXmlHelper.DoesObjectExist("Registry", "HKLM\SYSTEM\CurrentControlSet\Services\DNS [ImagePath]")</condition>
                </detect>
                <detect>
                    <condition>MigXmlHelper.DoesObjectExist("File", "%windir%\system32 [dns.exe]")</condition>
                </detect>
            </detects>
            <rules context="System">
                <include>
                    <objectSet>
                        <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\DNS Server\* [*]</pattern>
                        <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\DNS\Parameters\* [*]</pattern>
                        <pattern type="File">%windir%\system32\dns\ [*]</pattern>
                    </objectSet>
                </include>
            </rules>
        </migXml>
    </machineSpecific>
</migration>

</assembly>
