<assembly manifestVersion="1.0" description="Game Explorer downlevel migration manifest" displayName="Game Explorer downlevel migration manifest" company="MS" copyright="" supportInformation="" creationTimeStamp="2003-11-11T22:56:35.2127782-08:00" lastUpdateTimeStamp="2004-01-13T20:17:21.6405892+00:00" authors="oliversa" owners="kareemc" testers="rayt" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="urn:schemas-microsoft-com:asm.v3">
    <assemblyIdentity name="Microsoft-Windows-GameUXMig-DL" version="0.0.0.0" processorArchitecture="*" language="*"/>
    <migration>
        <machineSpecific>
            <migXml xmlns:auto-ns2="urn:schemas-microsoft-com:asm.v3" xmlns="">
                <detects>
                    <detect>
                        <!-- Matches Windows XP only -->
                        <condition>MigXmlHelper.DoesOSMatch("NT", "5.1.*")</condition>
                    </detect>
                </detects>
                <rules context="System">
                    <include>
                        <objectSet>
                            <!-- migrate all user games -->
                            <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\GameUX\GamesToFindOnWindowsUpgrade\* [*]</pattern>
                            <pattern type="File">%CSIDL_COMMON_APPDATA%\Microsoft\Windows\GameExplorer\*[*]</pattern>
                        </objectSet>
                    </include>
                    <merge script="MigXmlHelper.DestinationPriority()">
                        <objectSet>
                            <!-- merge all user games -->
                            <pattern type="File">%CSIDL_COMMON_APPDATA%\Microsoft\Windows\GameExplorer\*[*]</pattern>
                        </objectSet>
                    </merge>
                </rules>
                <rules context="User">
                    <include>
                        <objectSet>
                            <!-- migrate per user games -->
                            <pattern type="Registry">HKCU\Software\Classes\Software\Microsoft\Windows\CurrentVersion\GameUX\GamesToFindOnWindowsUpgrade\* [*]</pattern>
                            <pattern type="File">%CSIDL_LOCAL_APPDATA%\Microsoft\Windows\GameExplorer\*[*]</pattern>
                        </objectSet>
                    </include>
                    <merge script="MigXmlHelper.DestinationPriority()">
                        <objectSet>
                            <!-- merge per user games -->
                            <pattern type="File">%CSIDL_LOCAL_APPDATA%\Microsoft\Windows\GameExplorer\*[*]</pattern>
                        </objectSet>
                    </merge>
                </rules>
            </migXml>
        </machineSpecific>
    </migration>
</assembly>
