<assembly manifestVersion="1.0" description="Downlevel manifest to upgrade Group Policy Software Installation settings" displayName="Downlevel manifest to upgrade Group Policy Software Installation settings" company="Microsoft" copyright="" supportInformation="" creationTimeStamp="2003-07-10T16:57:29.7034046-07:00" lastUpdateTimeStamp="2005-05-04T04:33:18.0345801Z" authors="gpdev" owners="gpdev" testers="" buildFilter="" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="urn:schemas-microsoft-com:asm.v3">
  <assemblyIdentity name="Microsoft-Windows-GroupPolicy-CSE-SoftwareInstallation-DL" version="0.0.0.0" processorArchitecture="*" language="*"/>

  <migration>
    <migXml xmlns="">
  
      <!-- Check as this is only valid for down-level OS < than Windows Vista ? -->
      <detects>
        <detect>
          <condition>MigXmlHelper.IsOSEarlierThan("NT", "6.0.0.0")</condition>
        </detect>
      </detects>

      <rules context="System">
        <include>
          <objectSet>
            <pattern type="File">%windir%\system32\appmgmt\*[*]</pattern>
	    <pattern type="Registry">HKLM\Software\Microsoft\Windows\CurrentVersion\Group Policy\Appmgmt\* [*]</pattern>
            <pattern type="Registry">HKLM\Software\Microsoft\Windows NT\CurrentVersion\Diagnostics [appmgmtdebuglevel]</pattern>
          </objectSet>
        </include>
      </rules>
    
      <rules context="User">
        <include>
          <objectSet>
            <pattern type="Registry">HKCU\Software\Microsoft\Windows\CurrentVersion\Group Policy\Appmgmt\* [*]</pattern>
          </objectSet>
        </include>
      </rules>
    </migXml>
  </migration>
</assembly>
