<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<assembly manifestVersion="1.0" description="Dot3svc Downlevel Manifest" displayName="Dot3svc Downlevel Manifest" company="Microsoft" copyright="" supportInformation="http://support.microsoft.com" creationTimeStamp="2005-06-09T23:02:48.7167353Z" lastUpdateTimeStamp="2005-08-08T22:56:10.0057435Z" authors="v-mnazio" owners="v-mnazio" testers="" buildFilter="" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="urn:schemas-microsoft-com:asm.v3"> 
  <assemblyIdentity name="Microsoft-Windows-Dot3svc-DL" version="0.0.0.0" processorArchitecture="*" language="*"/>
  <migration scope="Upgrade,MigWiz,USMT">
    <migXml xmlns ="">
      <detects>
        <detect>
          <condition>MigXmlHelper.IsOSEarlierThan("NT", "6.0.0.0")</condition>
        </detect>
      </detects>
      <rules context="System">
        <addObjects>
          <condition>MigXmlHelper.DoesObjectExist("Registry", "HKLM\Software\Microsoft\Dot3Svc\Interfaces")</condition>
          <object>
            <location type="Registry">HKLM\Software\Microsoft\Dot3svc [MugaSource]</location>
            <attributes>Dword</attributes>
            <bytes>01000000</bytes>
          </object>
        </addObjects>
        <include>
          <objectSet>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\EAPOL\* [*]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Dot3svc\* [*]</pattern>
            <pattern type="Registry">HKLM\SOFTWARE\Policies\Microsoft\Windows\WiredL2\GP_Policy\* [*]</pattern>
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\dot3svc [Start]</pattern>
            <pattern type="File">%CSIDL_COMMON_APPDATA%\Microsoft\dot3svc\Profiles\* [*]</pattern>
            <pattern type="File">%WINDIR%\dot3svc\policies\* [*]</pattern>
          </objectSet>
        </include>
      </rules>
    </migXml>
    <migrationDisplayID>Network_and_Internet\Networking_Connections</migrationDisplayID>
  </migration>
</assembly>
