<assembly manifestVersion="1.0" description="$(resourceString.description)" displayName="$(resourceString.displayName)" company="Microsoft" copyright="" supportInformation="" creationTimeStamp="2004-08-20T22:01:03.3397033-07:00" lastUpdateTimeStamp="2004-08-20T22:06:41.4113372-07:00" authors="johnlue" owners="johnlue" testers="robertr" buildFilter="" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="urn:schemas-microsoft-com:asm.v3">
  <assemblyIdentity name="Microsoft-Windows-IE-Feeds-Platform-DL" version="0.0.0.0" processorArchitecture="*" language="*"/>
  <migration scope="Upgrade,MigWiz,USMT">
    <migXml xmlns:auto-ns2="urn:schemas-microsoft-com:asm.v3" xmlns="">
      <detects>
        <detect>
          <condition>
            MigXmlHelper.IsOSEarlierThan("NT", "6.0")
          </condition>
        </detect>
      </detects>
      <rules context="User">
        <include>
          <objectSet>
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Feeds\* [*]</pattern>
            <pattern type="File">%CSIDL_LOCAL_APPDATA%\Microsoft\Feeds\* [*]</pattern>
            <pattern type="File">%CSIDL_LOCAL_APPDATA%\Microsoft\Feeds Cache\* [*]</pattern>
            <pattern type="File">%CSIDL_INTERNET_CACHE%\Enclosure\* [*]</pattern>
          </objectSet>
        </include>
      </rules>
      <rules context="User"><!-- Exclude additional keys from migration on PC-2-PC migration. -->
        <detects>
          <detect>
            <condition negation="Yes">MigXmlHelper.IsUpgrade()</condition>
          </detect>
        </detects>
        <exclude>
          <objectSet>
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Feeds [SyncStatus]</pattern>
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Feeds [SyncTaskName]</pattern>
            <pattern type="Registry">HKCU\SOFTWARE\Microsoft\Feeds [SyncTask]</pattern>
          </objectSet>
        </exclude>
      </rules>
    </migXml>
    <migrationDisplayID>Network_and_Internet\Internet_Options</migrationDisplayID>
  </migration>
</assembly>
