<assembly xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xmlns:xsd="http://www.w3.org/2001/XMLSchema"
          manifestVersion="1.0"
          displayName="CoreWebEngine Downlevel"
          description="Downlevel manifest for CoreWebEngine Migration"
          company="Microsoft"
          copyright=""
          supportInformation=""
          creationTimeStamp="2007-03-09T23:19:59.7179214-07:00"
          lastUpdateTimeStamp="2007-03-09T21:50:06.5375172-07:00"
          authors=""
          owners=""
          testers=""
          buildFilter=""
          xmlns="urn:schemas-microsoft-com:asm.v3">

  <assemblyIdentity name="Microsoft-Windows-IIS-CoreWebEngine-Deployment-DL"
                    version="0.0.0.0"
                    processorArchitecture="*"
                    language="*"
                    type=""
                    publicKeyToken="$(Build.WindowsPublicKeyToken)"
                    buildType="$(build.buildType)"
                    versionScope="nonSxS"
                    buildFilter="">
  </assemblyIdentity>

  <migration>

    <registerSDF name="IIS-CoreWebEngine">
    </registerSDF>

    <migXml xmlns="">

      <!-- On a down-level system, we detect the presence of WWW by -->
      <!-- looking for the W3SVC service.  We base this on the      -->
      <!-- registry key for the service declaration.                -->

      <detects>
        <detect>
          <condition>
            MigXmlHelper.IsOSEarlierThan("NT", "6.0")
          </condition>
        </detect>
        <detect>
          <condition>
            MigXmlHelper.DoesObjectExist( "Registry", "HKLM\System\CurrentControlSet\Services\W3SVC [ImagePath]" )
          </condition>
        </detect>
      </detects>     

      <rules context="System">
        <include>
          <objectSet>
            <pattern type="File">%SystemDrive%\inetpub\wwwroot\[iisstart.htm]</pattern>
          </objectSet>
        </include>       
      </rules>

    </migXml>
  </migration>

</assembly>
