<assembly xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xmlns:xsd="http://www.w3.org/2001/XMLSchema"
          manifestVersion="1.0"
          displayName="FTP Server Downlevel"
          description="Downlevel manifest for FTP Server Migration"
          company="Microsoft"
          copyright=""
          supportInformation=""
          creationTimeStamp="2005-04-17T23:19:59.7179214-07:00"
          lastUpdateTimeStamp="2005-06-21T21:50:06.5375172-07:00"
          authors="edchou"
          owners="edchou"
          testers=""
          buildFilter=""
          xmlns="urn:schemas-microsoft-com:asm.v3">

    <assemblyIdentity name="Microsoft-Windows-IIS-FTPServer-Deployment-DL"
                      version="0.0.0.0"
                      processorArchitecture="*"
                      language="*"
                      type=""
                      publicKeyToken="$(Build.WindowsPublicKeyToken)"
                      buildType="$(build.buildType)"
                      versionScope="nonSxS"
                      buildFilter="">
    </assemblyIdentity>

    <migration>

        <registerSDF name="IIS-FTPServer">
        </registerSDF>

        <migXml xmlns="">

            <!-- On a down-level system, we detect the presence of FTP by -->
            <!-- looking for the MSFTPSVC service.  We base this on the   -->
            <!-- registry key for the service declaration.                -->

            <detects>
              <detect>
                <condition>
                  MigXmlHelper.IsOSEarlierThan("NT", "6.0")
                </condition>
              </detect>
              <detect>
                <condition>
                  MigXmlHelper.DoesObjectExist( "Registry", "HKLM\System\CurrentControlSet\Services\MSFTPSVC [ImagePath]" )
                </condition>
              </detect>

            </detects>

            <rules context="System">
            </rules>

        </migXml>
    </migration>

</assembly>
