﻿<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<assembly description="Migration Display Groups for Down-level" displayName="Migration Display Groups for Down-level" company="Microsoft" copyright="" supportInformation="" creationTimeStamp="2003-07-08T23:15:23.9993750-07:00" lastUpdateTimeStamp="2003-07-08T23:15:23.9993750-07:00" estimatedSize="" authors="OvidiuT" owners="OvidiuT" testers="" buildFilter="" manifestVersion="1.0" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="urn:schemas-microsoft-com:asm.v3">
  <assemblyIdentity name="Microsoft-Windows-Migration-DisplayGroups-DL" version="0.0.0.0" processorArchitecture="*" language="*"></assemblyIdentity>
  <migration scope="Upgrade,MigWiz,USMT">

    <!-- This manifest defines the display ID groupings but doesn't appear itself-->
    <migrationDisplayID>*</migrationDisplayID>

    <!-- Attention : There is a LH equivalent MigrationDisplayGroups.man, please update it too if related-->

    <migrationDisplayString name="Accessibility" value="1"></migrationDisplayString>
    <migrationDisplayString name="Accessibility\Accessibility_Settings" value="101"></migrationDisplayString>

    <migrationDisplayString name="Network_and_Internet" value="2"></migrationDisplayString>
    <migrationDisplayString name="Network_and_Internet\Internet_Options" value="201"></migrationDisplayString>
    <migrationDisplayString name="Network_and_Internet\Networking_Connections" value="202"></migrationDisplayString>
    <migrationDisplayString name="Network_and_Internet\Windows_Firewall" value="203"></migrationDisplayString>
    <migrationDisplayString name="Network_and_Internet\Network_Explorer" value="204"></migrationDisplayString>
    <migrationDisplayString name="Network_and_Internet\File_Sharing" value="205"></migrationDisplayString>
    <migrationDisplayString name="Network_and_Internet\Offline_Files" value="206"></migrationDisplayString>
    <migrationDisplayString name="Network_and_Internet\Terminal_Services_Options" value="207"></migrationDisplayString>

    <migrationDisplayString name="Communications_and_Sync" value="3"></migrationDisplayString>
    <migrationDisplayString name="Communications_and_Sync\Sync" value="301"></migrationDisplayString>
    <migrationDisplayString name="Communications_and_Sync\Windows_Mail" value="302"></migrationDisplayString>
    <migrationDisplayString name="Communications_and_Sync\Fax" value="303"></migrationDisplayString>

    <migrationDisplayString name="Appearance_and_Display" value="4"></migrationDisplayString>
    <migrationDisplayString name="Appearance_and_Display\Screen_Savers" value="401"></migrationDisplayString>
    <migrationDisplayString name="Appearance_and_Display\Taskbar_and_Start_Menu" value="402"></migrationDisplayString>
    <migrationDisplayString name="Appearance_and_Display\Folder_Options" value="403"></migrationDisplayString>
    <migrationDisplayString name="Appearance_and_Display\Fonts" value="404"></migrationDisplayString>
    <migrationDisplayString name="Appearance_and_Display\Display_Settings" value="405"></migrationDisplayString>
    <migrationDisplayString name="Appearance_and_Display\Personalized_Settings" value="406"></migrationDisplayString>
    <migrationDisplayString name="Appearance_and_Display\Windows_Games_Settings" value="407"></migrationDisplayString>

    <migrationDisplayString name="Sound_and_Speech_Recognition" value="5"></migrationDisplayString>
    <migrationDisplayString name="Sound_and_Speech_Recognition\Sound_and_Audio_Devices_Settings" value="501"></migrationDisplayString>
    <migrationDisplayString name="Sound_and_Speech_Recognition\Speech_Recognition" value="502"></migrationDisplayString>

    <migrationDisplayString name="Hardware" value="6"></migrationDisplayString>
    <migrationDisplayString name="Hardware\Printers_and_Faxes" value="601"></migrationDisplayString>
    <migrationDisplayString name="Hardware\Mouse" value="602"></migrationDisplayString>
    <migrationDisplayString name="Hardware\Keyboard" value="603"></migrationDisplayString>
    <migrationDisplayString name="Hardware\Phone_and_Modem" value="604"></migrationDisplayString>
    <migrationDisplayString name="Hardware\Game_Controllers" value="605"></migrationDisplayString>
    <migrationDisplayString name="Hardware\Hardware_and_Devices" value="606"></migrationDisplayString>
    <migrationDisplayString name="Hardware\Scanner_and_Cameras" value="607"></migrationDisplayString>

    <migrationDisplayString name="Date_Time_Language_and_Region" value="7"></migrationDisplayString>
    <migrationDisplayString name="Date_Time_Language_and_Region\Regional_Language_Options" value="701"></migrationDisplayString>
    <migrationDisplayString name="Date_Time_Language_and_Region\Date_and_Time_Properties" value="702"></migrationDisplayString>


    <migrationDisplayString name="Programs" value="8"></migrationDisplayString>
    <migrationDisplayString name="Programs\Movie_Maker_Settings" value="801"></migrationDisplayString>
    <migrationDisplayString name="Programs\Media_Player_Settings" value="802"></migrationDisplayString>

    <migrationDisplayString name="Security" value="9"></migrationDisplayString>
    <migrationDisplayString name="Security\Security_Options" value="901"></migrationDisplayString>
    <migrationDisplayString name="Security\Automatic_Updates" value="902"></migrationDisplayString>


    <migrationDisplayString name="Performance_and_Maintenance" value="10"></migrationDisplayString>
    <migrationDisplayString name="Performance_and_Maintenance\Power_Options" value="1001"></migrationDisplayString>
    <migrationDisplayString name="Performance_and_Maintenance\System_Settings" value="1002"></migrationDisplayString>
    <migrationDisplayString name="Performance_and_Maintenance\Administrative_Tools" value="1003"></migrationDisplayString>
    <migrationDisplayString name="Performance_and_Maintenance\Backup" value="1004"></migrationDisplayString>
    <migrationDisplayString name="Performance_and_Maintenance\Scheduled_Tasks" value="1005"></migrationDisplayString>
    <migrationDisplayString name="Performance_and_Maintenance\Error_Reporting" value="1006"></migrationDisplayString>
    <migrationDisplayString name="Performance_and_Maintenance\Diagnostics" value="1007"></migrationDisplayString>


    <migrationDisplayString name="User_Accounts_and_Parental_Controls" value="11"></migrationDisplayString>
    <migrationDisplayString name="User_Accounts_and_Parental_Controls\User_Accounts" value="1101"></migrationDisplayString>
    <migrationDisplayString name="User_Accounts_and_Parental_Controls\Parental_Controls" value="1102"></migrationDisplayString>

    <migrationDisplayString name="Additional_Options" value="96"></migrationDisplayString>
    <migrationDisplayString name="Additional_Options\Help_Settings" value="9601"></migrationDisplayString>
    <migrationDisplayString name="Additional_Options\Windows_Core_Settings" value="9602"></migrationDisplayString>

    <migrationDisplayString name="Tablet_PC_Settings" value="97"></migrationDisplayString>
    <migrationDisplayString name="Tablet_PC_Settings\Tablet_PC_General_Options" value="9701"></migrationDisplayString>
    <migrationDisplayString name="Tablet_PC_Settings\Handwriting_Recognition" value="9702"></migrationDisplayString>
    <migrationDisplayString name="Tablet_PC_Settings\Tablet_PC_Accessories" value="9703"></migrationDisplayString>
    <migrationDisplayString name="Tablet_PC_Settings\Tablet_PC_Input_Panel" value="9704"></migrationDisplayString>

    <migrationDisplayString name="EHome" value="98"></migrationDisplayString>
    <migrationDisplayString name="EHome\General_Options" value="9801"></migrationDisplayString>



  </migration>
</assembly>
