<assembly xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xmlns:xsd="http://www.w3.org/2001/XMLSchema"
          manifestVersion="1.0"
          description="$(resourceString.description1)"
          displayName="$(resourceString.displayName1)"
          company="Microsoft Corporation"
          copyright="Microsoft Corporation"
          supportInformation="nfsdev"
          creationTimeStamp="2005-06-01T20:46:17.0709288Z"
          lastUpdateTimeStamp="2005-06-27T19:13:31.5450725Z"
          authors="AkhilW"
          owners="RoopeshB"
          testers="nfstest"
          buildFilter=""
          xmlns="urn:schemas-microsoft-com:asm.v3">

  <assemblyIdentity name="Microsoft-Windows-NFS-AdminCore-DL"
                      version="0.0.0.0"
                      processorArchitecture="*"
                      language="neutral"
                      type=""
                      publicKeyToken="$(Build.WindowsPublicKeyToken)"
                      buildType="$(build.buildType)"
                      versionScope="nonSxS"
                      buildFilter=""/>

  <migration>

  <!-- Declare for which Longhorn equivalent OC this manifest corresponds to -->
  <registerSDF name="NFS-Administration"></registerSDF>

    <!-- the detects conditions must not be put directly under migration -->
    <migXml xmlns="">

      <detects>
        <!-- Detect presence of Longhorn down-level equiv feature -->
        <detect>
          <condition>MigXmlHelper.DoesObjectExist("Registry","HKLM\SOFTWARE\Microsoft\MSNFS")</condition>
        </detect>

        <!-- Check as this is only valid for Windows Server 2003 R2 -->
        <detect>
          <condition>MigXmlHelper.DoesOSMatch("NT", "5.2.*")</condition>
        </detect>
      </detects>
    </migXml>

    <machineSpecific>
      <migXml xmlns="">

        <detects>
          <!-- Detect presence of Longhorn down-level equiv feature -->
          <detect>
            <condition>MigXmlHelper.DoesObjectExist("Registry","HKLM\SOFTWARE\Microsoft\MSNFS")</condition>
          </detect>

          <!-- Check as this is only valid for Windows Server 2003 R2 -->
          <detect>
            <condition>MigXmlHelper.DoesOSMatch("NT", "5.2.*")</condition>
          </detect>
        </detects>

        <rules context="System">
          <include>
            <objectSet>
              <pattern type="Registry">HKLM\SOFTWARE\Microsoft\MSNFS [Rfc2307]</pattern>
              <pattern type="Registry">HKLM\SOFTWARE\Microsoft\MSNFS [Rfc2307Domain]</pattern>
              <pattern type="Registry">HKLM\SOFTWARE\Microsoft\MSNFS [MappingServerLookup]</pattern>
              <pattern type="Registry">HKLM\SOFTWARE\Microsoft\MSNFS [MappingServers]</pattern>
            </objectSet>
          </include>
        </rules>

      </migXml>
    </machineSpecific>

  </migration>
</assembly>
