<assembly   manifestVersion="1.0" 
            description="$(resourceString.description)" 
            displayName="$(resourceString.displayName)" 
            company="Microsoft" 
            copyright="Microsoft Corporation 2006" 
            supportInformation="" 
            creationTimeStamp="2006-03-13T10:22:45.7383532-08:00" 
            lastUpdateTimeStamp="2006-03-13T10:22:45.7383532-08:00" 
            authors="ntfsdev" 
            owners="ntfsdev" 
            testers="" 
            buildFilter="" 
            xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
            xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
            xmlns="urn:schemas-microsoft-com:asm.v3">
                    
  <assemblyIdentity name="Microsoft-Windows-NTFS-DL" 
                    version="0.0.0.0" 
                    processorArchitecture="*" 
                    publicKeyToken="$(Build.WindowsPublicKeyToken)" 
                    language="neutral" 
                    buildType="$(build.buildType)" 
                    buildFilter="" 
                    versionScope="nonSxS"></assemblyIdentity>


  <migration>

    <!-- Begin migration to Vista from non-Vista Server OS -->

    <!-- In-place section. Declarations here will not be migrated pc-to-pc. -->

    <machineSpecific>
      <migXml xmlns="">
      
        <!-- Ruleset for migrating Windows XP SP2, Server 2003 and Server R2 -->
      
        <rules context="System">
          <detects>
            <detect>
              <condition>MigXmlHelper.IsOSEarlierThan("NT", "6.0.0.0")</condition>
            </detect>
          </detects>
          <include>
            <objectSet>

              <!-- Knob values in same order as in the <configuration> section. -->

              <pattern type="Registry">HKLM\System\CurrentControlSet\Control\FileSystem [NtfsDisable8dot3NameCreation]</pattern>
              <pattern type="Registry">HKLM\System\CurrentControlSet\Control\FileSystem [NtfsAllowExtendedCharacterIn8dot3Name]</pattern>
              <pattern type="Registry">HKLM\System\CurrentControlSet\Control\FileSystem [NtfsDisableLastAccessUpdate]</pattern>
              <pattern type="Registry">HKLM\System\CurrentControlSet\Control\FileSystem [NtfsMftZoneReservation]</pattern>
              <pattern type="Registry">HKLM\System\CurrentControlSet\Control\FileSystem [NtfsMemoryUsage]</pattern>
              <pattern type="Registry">HKLM\System\CurrentControlSet\Control\FileSystem [NtfsQuotaNotifyRate]</pattern>
              <pattern type="Registry">HKLM\System\CurrentControlSet\Control\FileSystem [NtfsDisableEncryption]</pattern>
              
            </objectSet>
          </include>
        </rules>

      </migXml>
    </machineSpecific>

    <!-- No pc-to-pc migration. -->

  </migration> 
</assembly>

