<?xml version="1.0" encoding="utf-8"?>
<assembly 
  description="Downlevel manifest support for remote RPC over TCP/IP" 
  displayName="Downlevel manifest for Remote RPC support" 
  company="Microsoft" copyright="" 
  supportInformation="" 
  creationTimeStamp="2006-02-15T20:15:23.9993750-07:00" 
  lastUpdateTimeStamp="2006-02-15T20:15:23.9993750-07:00" 
  estimatedSize="" 
  authors="tassb" 
  owners="tassb" 
  testers="tassb" 
  buildFilter="" 
  manifestVersion="1.0" 
  xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
  xmlns="urn:schemas-microsoft-com:asm.v3">

  <assemblyIdentity 
    name="Microsoft-Windows-RPC-Remote-DL" 
    version="0.0.0.0" 
    processorArchitecture="*"
    publicKeyToken="" 
    language="neutral" 
    buildType="release" 
    buildFilter="" 
    versionScope="nonSxS">
  </assemblyIdentity>

  <migration scope="Upgrade,MigWiz,USMT">
    <migXml xmlns="">
      <!-- Check as this manifest is only valid for down level OS < Windows Vista -->
      <detects>
        <detect>
          <condition>MigXmlHelper.IsOSEarlierThan("NT", "6.0.0.0")</condition>
        </detect>
      </detects>

      <rules context="System">
        <include>
          <objectSet>
            <!-- migrate regkeys -->
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\Rpc\Linkage [Bind]</pattern>
            <pattern type="Registry">HKLM\Software\Microsoft\Rpc\Internet [Ports]</pattern>
            <pattern type="Registry">HKLM\Software\Microsoft\Rpc\Internet [PortsInternetAvailable]</pattern>
            <pattern type="Registry">HKLM\Software\Microsoft\Rpc\Internet [UseInternetPorts]</pattern>
          </objectSet>
        </include>
      </rules>

    </migXml>
    <migrationDisplayID>Additional_Options\Windows_Core_Settings</migrationDisplayID>
  </migration>
</assembly>


