<!-- *************** Down Level Manifest For Upgrade from R2 to LH ********************** -->

<assembly xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xmlns:xsd="http://www.w3.org/2001/XMLSchema"
          manifestVersion="1.0"
          description="$(resourceString.description)"
          displayName="$(resourceString.displayName)"
          company="Microsoft Corp"
          copyright="Microsoft"
          supportInformation="sanuidev"
          authors="sanuidev"
          owners="sanuidev"
          testers="sanuidev"
          buildFilter=""
          xmlns="urn:schemas-microsoft-com:asm.v3"> 
  <assemblyIdentity type=""
		    publicKeyToken="$(Build.WindowsPublicKeyToken)"
                    buildType="$(build.buildType)"
                    versionScope="nonSxS"
                    buildFilter=""
                    name="Microsoft-Windows-SanMmc-DL"
                    version="0.0.0.0"
                    processorArchitecture="*"
                    language="neutral" />

<migration>

    
    <!-- Declare for which Longhorn equivalent OC this manifest corresponds to -->
  
    <registerSDF name="StorageManagerForSANs"/>

    
    <!-- Begin migration to Vista from non-Vista Server OS -->

    <!-- In-place section. Declarations here will not be migrated pc-to-pc. -->

    <migXml xmlns="">

        <detects>

	    <!-- Make sure this DL manifest is called only on DownLevel machine - Storage Manager for SANs was introduced in OS W2k3 R2 prior to LH -->
            <detect>
                <condition>MigXmlHelper.DoesOSMatch("NT", "5.2.*")</condition>
   	    </detect>
	    <detect>
                <condition>MigXmlHelper.DoesObjectExist("File","%windir%\system32\Microsoft.Storage.SanMmc.dll")</condition>
            </detect>

        </detects>

        <rules context="System">
        </rules>

     </migXml>

</migration>

</assembly>