<assembly>
  <assemblyIdentity name="Microsoft-Windows-Security-Schannel-DL" version="0.0.0.0" processorArchitecture="*" language="*"/>
  <migration>

    <migXml xmlns="">
      <!-- Check as this is only valid for down-level OS < than Windows Vista ? -->
      <detects>
        <detect>
          <condition>MigXmlHelper.IsOSEarlierThan("NT", "6.0.0.0")</condition>
        </detect>
      </detects>

      <rules context="System">
        <include>
          <objectSet>
            <pattern type="Registry">HKLM\System\CurrentControlSet\Control\SecurityProviders\SCHANNEL\* [*]</pattern>
            <pattern type="Registry">HKLM\System\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\* [*]</pattern>
            <pattern type="Registry">HKLM\System\CurrentControlSet\Control\SecurityProviders\SCHANNEL\CipherSuites\* [*]</pattern>
            <pattern type="Registry">HKLM\System\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Ciphers\* [*]</pattern>
            <pattern type="Registry">HKLM\System\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Hashes\* [*]</pattern>
            <pattern type="Registry">HKLM\System\CurrentControlSet\Control\SecurityProviders\SCHANNEL\KeyExchangeAlgorithms\* [*]</pattern>
          </objectSet>
        </include>
      </rules>
    </migXml>
  </migration>
</assembly>
