﻿<assembly manifestVersion="1.0" description="$(resourceString.description)" displayName="$(resourceString.displayName)" company="Microsoft" copyright="" supportInformation="" creationTimeStamp="2003-07-18T10:54:12.1286250-07:00" lastUpdateTimeStamp="2004-08-10T21:55:12.7031250+00:00" authors="eirikh" owners="eirikh" testers="rajesr" buildFilter="" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="urn:schemas-microsoft-com:asm.v3">
  <assemblyIdentity name="Microsoft-Windows-SmartCardSubsystem-DL" version="0.0.0.0" processorArchitecture="*" publicKeyToken="" language="neutral" buildType="release" buildFilter="" versionScope="nonSxS"></assemblyIdentity>

  <migration>
 
    <migXml xmlns="">

      <detects>
        <detect>
          <condition>MigXmlHelper.IsOSEarlierThan("NT", "6.0.0.0")</condition>
        </detect>
      </detects>

      <rules context="System">
	<include>
	  <objectSet>
	    <pattern type="Registry">HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon [scremoveoption]</pattern>
            <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\SCardSvr [Start]</pattern>
	    <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\CertPropSvc [Start]</pattern>
	    <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\SCPolicySvc [Start]</pattern>
	  </objectSet>
	</include>
      </rules>

      <rules context="System">
        <detects>
	  <detect>
	    <condition>MigXmlHelper.DoesStringContentContain("Registry", "HKLM\SYSTEM\CurrentControlSet\Services\SCardSvr [Start]", "2")</condition>
          </detect>
        </detects>

        <addObjects>
          <object>
            <location type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\CertPropSvc [Start]</location>
            <attributes>Dword</attributes>
            <bytes>02000000</bytes>
          </object>
        </addObjects>
      </rules>

      <rules context="System">
        <detects>
	  <detect>
	    <condition>MigXmlHelper.DoesStringContentContain("Registry", "HKLM\SYSTEM\CurrentControlSet\Services\SCardSvr [Start]", "2")</condition>
	  </detect>
	  <detect>
	    <condition>MigXmlHelper.DoesStringContentContain("Registry", "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon [scremoveoption]", "1")</condition>
	    <condition>MigXmlHelper.DoesStringContentContain("Registry", "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon [scremoveoption]", "2")</condition>
          </detect>
        </detects>

        <addObjects>
          <object>
            <location type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\SCPolicySvc [Start]</location>
            <attributes>Dword</attributes>
            <bytes>02000000</bytes>
          </object>
        </addObjects>
      </rules>

    </migXml>

    <migrationDisplayID>Security\Security_Options</migrationDisplayID>
  </migration>

  <localization>
    <resources culture="en-US">
      <stringTable>
        <string id="description" value="Downlevel Manifest for the Smart Card Subsystem" buildFilter=""></string>
        <string id="displayName" value="Downlevel Manifest for the Smart Card Subsystem" buildFilter=""></string>
      </stringTable>
    </resources>
  </localization>
</assembly>