<assembly xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" manifestVersion="1.0" description="$(resourceString.description)" displayName="$(resourceString.displayName)" company="MICROSOFT" copyright="" supportInformation="" creationTimeStamp="2003-07-21T11:45:10.1193767-07:00" lastUpdateTimeStamp="2005-02-18T19:07:27.3001037Z" authors="frankli" owners="frankli" testers="" buildFilter="" xmlns="urn:schemas-microsoft-com:asm.v3">
	<assemblyIdentity name="Microsoft-Windows-SNMP-Agent-Service-DL" version="0.0.0.0" publicKeyToken="" processorArchitecture="*" buildType="release" buildFilter="" versionScope="nonSxS" language="neutral"/>
	<migration>
	    <registerSDF name="SNMP"></registerSDF>
		<migXml xmlns="">
			<!-- Ensure this runs on pre-Loonghorn OS only -->
			<detects>
				<detect>
					<condition>MigXmlHelper.DoesObjectExist("Registry", "HKLM\SYSTEM\CurrentControlSet\Services\SNMP")</condition>
				</detect>
				<detect>
					<condition>MigXmlHelper.IsOSEarlierThan("NT", "6.0.0")</condition>
				</detect>
			</detects>
			<rules context="System">
				<include>
					<objectSet>
						<pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\SNMP\Parameters [EnableAuthenticationTraps]</pattern>
						<pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\SNMP\Parameters\PermittedManagers [*]</pattern>
						<pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\SNMP\Parameters\RFC1156Agent [sysContact]</pattern>
						<pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\SNMP\Parameters\RFC1156Agent [sysLocation]</pattern>
						<pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\SNMP\Parameters\RFC1156Agent [sysServices]</pattern>
						<pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\SNMP\Parameters\ValidCommunities [*]</pattern>
						<pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\SNMP\Parameters\TrapConfiguration\* [*]</pattern>
					</objectSet>
				</include>
			</rules>
		</migXml>
  </migration>
</assembly>
