<assembly
  manifestVersion="1.0"
  description="$(resourceString.description)"
  displayName="$(resourceString.displayName)"
  company="Microsoft Corporation"
  copyright=""
  supportInformation=""
  buildFilter=""
  authors="faisala"
  owners="vssclub"
  testers="vssclub"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xmlns:xsd="http://www.w3.org/2001/XMLSchema"
  xmlns="urn:schemas-microsoft-com:asm.v3">
  <assemblyIdentity
    name="Microsoft-Windows-VssService-DL"
    version="0.0.0.0"
    processorArchitecture="*"
    publicKeyToken="$(Build.WindowsPublicKeyToken)"
    language="neutral"
    versionScope="nonSxS"/>
  <migration>
    <machineSpecific>
      <migXml xmlns="">
        <!-- Ruleset for migrating XP and later -->
        <rules context="System">
          <detects>
            <detect>
              <condition>MigXmlHelper.IsOSEarlierThan("NT", "6.0.0.0")</condition>
            </detect>
          </detects>
          <include>
            <objectSet>
              <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\VSS\Settings\* [*]</pattern>
              <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\VSS\Volumes\* [*]</pattern>
              <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\VSS\VssAccessControl\* [*]</pattern>
              <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\VSS\Providers\* [*]</pattern>
              <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Control\BackupRestore\FilesNotToSnapshot [*]</pattern>
            </objectSet>
          </include>
        </rules>
      </migXml>
    </machineSpecific>
  </migration>
</assembly>
